$chip(6502)

**********************************************
*					     *
*	Copy Erase Screen
*					     *
**********************************************

	%include macro.inc
	%include secseg.inc

	EXTERN	prmsec
	EXTERN	draw
	EXTERN	rd_main, wr_main, rd_aux, wr_aux

	PUBLIC	copy_e, copy_1, copy_2

	SEG	graph

copy_e	PROC
	move	..gets1+2,#$60
	sta	..gets2+2
	move	..puts1+2,#$40
	sta	..puts2+2
	move	..puts3+2,#$20
	sta	..puts4+2

**********************************************
* Copy erase screen to both pages

	sta	rd_aux
	sta	wr_aux
	ldy	#0
	ldx	#$20

..gets1 lda	$f00,y
..puts1 sta	$f00,y
..puts3 sta	$f00,y
	iny
	bne	..gets1
	inc	..gets1+2
	inc	..puts1+2
	inc	..puts3+2
	dex
	bne	..gets1

	sta	rd_main
	sta	wr_main
	ldx	#$20

..gets2 lda	$f00,y
..puts2 sta	$f00,y
..puts4 sta	$f00,y
	iny
	bne	..gets2
	inc	..gets2+2
	inc	..puts2+2
	inc	..puts4+2
	dex
	bne	..gets2

	rts

copy_e	ENDPROC

copy_1	PROC

	move	..gets1+2,#$60
	sta	..gets2+2
	move	..puts1+2,#$20
	sta	..puts2+2

**********************************************
* Copy erase screen to page1

	sta	rd_aux
	sta	wr_aux
	ldy	#0
	ldx	#$20

..gets1 lda	$f00,y
..puts1 sta	$f00,y
	iny
	bne	..gets1
	inc	..gets1+2
	inc	..puts1+2
	dex
	bne	..gets1

	sta	rd_main
	sta	wr_main
	ldx	#$20

..gets2 lda	$f00,y
..puts2 sta	$f00,y
	iny
	bne	..gets2
	inc	..gets2+2
	inc	..puts2+2
	dex
	bne	..gets2

	rts

copy_1	ENDPROC

copy_2	PROC

	move	..gets1+2,#$60
	sta	..gets2+2
	move	..puts1+2,#$40
	sta	..puts2+2

**********************************************
* Copy erase screen to page2

	sta	rd_aux
	sta	wr_aux
	ldy	#0
	ldx	#$20

..gets1 lda	$f00,y
..puts1 sta	$f00,y
	iny
	bne	..gets1
	inc	..gets1+2
	inc	..puts1+2
	dex
	bne	..gets1

	sta	rd_main
	sta	wr_main
	ldx	#$20

..gets2 lda	$f00,y
..puts2 sta	$f00,y
	iny
	bne	..gets2
	inc	..gets2+2
	inc	..puts2+2
	dex
	bne	..gets2

	rts

copy_2	ENDPROC

	end
