$chip(6502)
$title(IM2)
$subtitle(Clear routine for6502 cross assembler)

**********************************************
*					     *
*	Clear erase screen and page1 (blue)  *
*					     *
**********************************************

	%include macro.inc
	%include secseg.inc

	EXTERN	wr_aux, wr_main

	PUBLIC	clear,darken

	SEG	graph

clear	PROC

	lda	#$60
	sta	..lop1a+2
	sta	..lop1b+2
	sta	..lop2a+2
	sta	..lop2b+2

	sta	wr_aux

	ldx	#$20
	ldy	#0

..loop1
	lda	#$3b
..lop1a sta	$ff00,y
	lda	#$6e
..lop1b sta	$ff01,y
	iny
	iny
	bne	..loop1
	inc	..lop1a+2
	inc	..lop1b+2
	dex
	bne	..loop1

	sta	wr_main

	ldx	#$20

..loop2
	lda	#$77
..lop2a sta	$ff00,y
	lda	#$5d
..lop2b sta	$ff01,y
	iny
	iny
	bne	..loop2
	inc	..lop2a+2
	inc	..lop2b+2
	dex
	bne	..loop2

	sta	wr_main
	rts

clear	ENDPROC

darken	PROC

	lda	#$60
	sta	..lop1a+2
	sta	..lop1b+2
	sta	..lop2a+2
	sta	..lop2b+2

	sta	wr_aux

	ldx	#$20
	ldy	#0

..loop1
	lda	#$00
..lop1a sta	$ff00,y
	lda	#$00
..lop1b sta	$ff01,y
	iny
	iny
	bne	..loop1
	inc	..lop1a+2
	inc	..lop1b+2
	dex
	bne	..loop1

	sta	wr_main

	ldx	#$20

..loop2
	lda	#$00
..lop2a sta	$ff00,y
	lda	#$00
..lop2b sta	$ff01,y
	iny
	iny
	bne	..loop2
	inc	..lop2a+2
	inc	..lop2b+2
	dex
	bne	..loop2

	sta	wr_main
	rts

darken	ENDPROC

	END
