$chip(6502)
$paginate
$indent=8
$NOPROCESS

**********************************************
*					     *
*					     *
*					     *
**********************************************

	%include mainseg.inc

	PUBLIC	sshape

	SEG	primdata

stbuf	ds	500

sshape	dw	divide		; 0
	dw	botgrd		; 1
	dw	hall1		; 2
	dw	d		; 3
	dw	gargo		; 4
	dw	d		; 5
	dw	elsidl1 	; 6
	dw	elsidl2 	; 7
	dw	mdsc1		; 8
	dw	d		; 9
	dw	mdul1		;10
	dw	mdl1		;11
	dw	mdll1		;12
	dw	mdur1		;13
	dw	mdr1		;14
	dw	mdlr1		;15
	dw	lchn1		;16
	dw	lchn2		;17
	dw	rchn1		;18
	dw	rchn2		;19
	dw	spin		;20
	dw	elsidr1 	;21
	dw	elsidr2 	;22
	dw	mdul2		;23
	dw	mdl2		;24
	dw	mdll2		;25
	dw	mdur2		;26
	dw	mdr2		;27
	dw	mdlr2		;28
	dw	search		;29
	dw	nothing 	;30
	dw	timebomb	;31
	dw	grenade 	;32
	dw	lightblb	;33
	dw	liftres 	;34
	dw	sfloorm 	;35
	dw	unplug		;36
	dw	botdoor 	;37
	dw	musics		;38
	dw	pinel		;39
	dw	pinem		;40
	dw	topdoor 	;41
	dw	found		;42
	dw	done		;43
	dw	comball 	;44
	dw	garback 	;45
	dw	gargoa		;46 ;nt used
	dw	d		;47
	dw	gargob		;48 ;nt used
	dw	d		;49
	dw	grit		;50
	dw	grib		;51
	dw	bdown		;52
	dw	d		;53
	dw	bup		;54
	dw	d		;55
	dw	bcod		;56
	dw	d		;57
	dw	btape		;58
	dw	d		;59
	dw	boff		;60
	dw	d		;61
	dw	unkey1		;62
	dw	unkey2		;63
	dw	unkey3		;64
	dw	lpan		;65
	dw	d		;66
	dw	d		;67
	dw	d		;68
	dw	d		;69
	dw	d		;70
	dw	gym		;71
	dw	ener		;72
	dw	gara		;73
	dw	bed		;74
	dw	comp		;75
	dw	food		;76
	dw	desk		;77
	dw	stor		;78
	dw	wave1		;79
	dw	wave2		;80
	dw	wave3		;81
	dw	wave4		;82
	dw	wave5		;83
	dw	wave6		;84
	dw	wave7		;85
	dw	d		;86
	dw	d		;87
	dw	tap1		;88
	dw	tap2		;89
	dw	tap3		;90
	dw	tap4		;91
	dw	tapec1		;92
	dw	tapec2		;93
	dw	stbuf		;94
	dw	darkbak 	;95
	dw	foundid 	;96
	dw	doneid		;97
	dw	tube1		;98
	dw	tube2		;99
	dw	tube3		;100
	dw	ruum1		;101
	dw	ruum2		;102
	dw	ruum3		;103
	dw	blank		;104
	dw	sea0
	dw	sea1
	dw	sea2
	dw	sea3
	dw	sea4
	dw	sea5
	dw	sea6
	dw	sea7

**********************************************
* Format for data in these tables:	     *
* One byte with number of columns to stamp.  *
* Four parts ending with $80 correcponding   *
* to values to be put into the four bytes    *
* in the column.			     *
* If high bit is set in the data, rest of    *
* the bits represent how many times next     *
* byte in the data is to be repeated.	     *
**********************************************

search	db	4
	db	$98,0,$80
	db	$98,0,$80
	db	$82,0,$7c,$3c,$82,$40,$7c,$91,0,$80
	db	$82,0,7,0,$83,7,$91,0,$80

	db	$82,0,$7f,$f,$7f,$f,$7f,$91,0,$80
	db	$82,0,$1,$60,$61,$60,$61,$91,0,$80
	db	$82,0,$3c,$82,$43,$7f,$43,$91,0,$80
	db	$83,0,$84,$7,$91,0,$80

	db	$82,0,$7f,$f,$82,$7f,$f,$91,0,$80
	db	$82,0,1,$1e,$1f,$1,$1e,$91,0,$80
	db	$82,0,$7c,$83,$3c,$7c,$91,0,$80
	db	$82,0,$7,$83,0,$7,$91,0,$80

	db	$82,0,$82,$f,$7f,$82,$f,$91,0,$80
	db	$82,0,$82,$1e,$1f,$82,$1e,$91,0,$80
	db	$98,0,$80
	db	$98,0,$80

nothing db	4
	db	$98,0,$80
	db	$8a,0,$85,$40,$89,0,$80
	db	$8a,0,$3,$82,$3b,$82,$3,$89,0,$80
	db	0,$4,$44,$40,$85,0,$7,$84,$77,$86,0,$40,$44,$4,0,$80

	db	$83,0,$82,$8,$84,0,$e,$84,$60,$e,$84,0,$82,$8,$83,0,$80
	db	$84,0,1,$11,$10,$82,0,$40,$84,1,$83,0,$10,$11,1,$84,0,$80
	db	$86,0,$2,$22,0,$3b,$85,$38,0,$22,$2,$86,0,$80
	db	$89,0,$77,$85,$70,$89,0,$80

	db	$89,0,$82,$60,$82,$6e,$82,$60,$89,0,$80
	db	$89,0,$86,$41,$89,0,$80
	db	$86,0,$20,$22,0,$86,$3,0,$22,$20,$86,0,$80
	db	$84,0,$40,$44,4,$83,0,7,$82,$77,$82,7,$82,0,4,$44,$40,$84,0,$80

	db	$83,0,$82,$8,$84,0,$85,$e,$85,0,$82,$8,$83,0,$80
	db	0,$10,$11,1,$85,0,$5c,$84,$1c,$5c,$85,0,1,$11,$10,0,$80
	db	$89,0,$3b,$82,0,$82,$38,$3b,$89,0,$80
	db	$98,0,$80

timebomb
	db	4
	db	$98,0,$80
	db	$98,0,$80
	db	$98,0,$80
	db	$8a,0,$87,$48,$87,0,$80

	db	$87,0,$10,$19,$79,$82,$9,$10
	db	$79,0,$9,0,$19,$9,$82,$10
	db	$83,0,$80

	db	$84,0,$20,0,$32,$13,$82,$1
	db	$82,$7e,$7f,$1,$83,0,$1,$12
	db	$1,$21,$32,$82,0,$80

	db	$83,0,$64,$42,0,$26,$82,$64
	db	$7c,$83,$3,$3c,$82,0,$83,$40
	db	$64,$42,$26,$82,0,$80

	db	$83,0,$4,$4c,$48,0,$4,$82
	db	$4c,$82,0,$48,0,$82,$48,$4
	db	$82,$4c,$82,$4,$83,0,$80

	db	$86,0,$9,$83,$10,$87,$9,$87
	db	0,$80

	db	$87,0,$82,$11,$5d,$82,$52,$5c
	db	$1c,$8a,0,$80

	db	$85,0,$22,$2,$82,$22,$3,$3b
	db	$3,$3b,$8b,0,$80

	db	$84,0,$4,0,$4,0,$4,$7
	db	$40,$7,$40,$8b,0,$80

	db	$84,0,$8,$82,0,$82,$8,$8f
	db	0,$80

	db	$85,0,$10,$83,0,$10,$1,$82
	db	0,$1,$8a,0,$80

	db	$98,0,$80
	db	$98,0,$80

grenade db	4
	db	$98,0,$80
	db	$98,0,$80
	db	$98,0,$80
	db	$98,0,$80

	db	$86,0,$60,0,$60,$8b,0,$82
	db	$20,$82,0,$80

	db	$85,0,$40,$5d,$5c,$5d,$86,0
	db	$82,$40,$44,0,$83,$44,$82,0
	db	$80

	db	$85,0,$83,$3,$b,$82,$8,$83
	db	0,$84,$8,0,$83,$8,$82,0
	db	$80

	db	$83,0,$70,0,$82,$70,0,$1
	db	$83,$11,0,$83,$11,$1,$87,0
	db	$80

	db	0,$60,$e,$60,0,$e,$82,$6e
	db	0,$2,0,$82,$20,0,$85,$22
	db	$20,0,$82,$20,0,$80

	db	0,$1,$1c,$41,$1c,$40,$1,$1d
	db	0,$83,$44,$85,0,$4,0,$82
	db	$40,$44,$4,0,$80

	db	$83,0,$3,0,$3,$83,0,$83
	db	$8,$8c,0,$80

	db	$82,0,$78,0,$78,0,$78,0
	db	$70,$82,$77,$8d,0,$80

	db	$82,0,$f,0,$f,0,$f,0
	db	$83,$e,$8d,0,$80

	db	$98,0,$80
	db	$98,0,$80
	db	$98,0,$80

lightblb
	db	4
	db	$98,0,$80
	db	$98,0,$80
	db	$98,0,$80

	db	$85,0,$40,$82,0,$40,$82,0
	db	$40,$8c,0,$80

	db	$82,0,$8,$60,$82,0,$60,0
	db	$60,0,$60,$82,0,$60,$8,$89
	db	0,$80

	db	0,$1c,$40,$1,$1c,0,$41,$40
	db	$41,$40,$1,0,$1c,$1,$40,$1c
	db	$88,0,$80

	db	$38,0,$3,0,$82,$38,$84,$3b
	db	$82,$38,$82,0,$3,0,$38,$87
	db	0,$80

	db	$82,0,$70,$82,$77,$83,0,$82
	db	$77,$70,$7,$82,$77,$82,$70,$82
	db	$58,0,$58,0,$58,$82,0,$80

	db	$e,0,$83,$6e,0,$82,$e,$83
	db	$6e,0,$60,$83,$6e,$3b,$b,$3b
	db	$b,$3b,$82,$b,0,$80

	db	$40,0,$1,$1d,$5d,$83,$40,$82
	db	$5d,$41,$5c,$82,$1d,$82,$1,$41
	db	0,$1,0,$1,$83,0,$80

	db	$3,0,$38,0,$82,$3,$84,$3b
	db	$82,$3,$82,0,$38,0,$3,$87
	db	0,$80

	db	0,$7,0,$70,$7,0,$70,0
	db	$70,0,$70,0,$7,$70,0,$7
	db	$88,0,$80

	db	$82,0,$8,$8b,0,$8,$89,0
	db	$80

	db	$85,0,$1,$82,0,$1,$82,0
	db	$1,$8c,0,$80

	db	$98,0,$80
	db	$98,0,$80

liftres db	4
	db	$98,0,$80
	db	$98,0,$80
	db	$8a,0,$38,$8d,0,$80
	db	$8a,0,$77,0,$70,0,$84,$70
	db	$86,0,$80

	db	$88,0,$60,0,$6e,0,$6e,0
	db	$84,$6e,$86,0,$80

	db	$86,0,$5c,0,$5d,0,$5d,0
	db	$5d,0,$84,$5d,$86,0,$80

	db	$86,0,$3b,0,$3b,0,$3b,0
	db	$3b,0,$84,$3b,$86,0,$80

	db	$86,0,$77,0,$77,0,$77,0
	db	$77,0,$84,$77,$86,0,$80

	db	0,$85,$60,$6e,0,$6e,0,$6e
	db	0,$6e,0,$84,$6e,0,$84,$60
	db	0,$80

	db	0,$85,$1,$5d,0,$5d,0,$5d
	db	0,$5d,0,$84,$5d,0,$84,$1
	db	0,$80

	db	$86,0,$3b,0,$3b,0,$3b,0
	db	$3b,$38,$83,$3,$3b,$86,0,$80

	db	$86,0,$77,0,$77,$70,$82,$7
	db	$83,0,$70,$7,$87,0,$80

	db	$86,0,$6e,$60,$6e,$85,$60,$e
	db	$89,0,$80

	db	$86,0,$84,$1,$1d,$83,$1,$8a
	db	0,$80

	db	$98,0,$80
	db	$98,0,$80

sfloorm db	4
	db	$98,0,$80
	db	$98,0,$80
	db	$91,0,$40,$7c,$40,$84,0,$80

	db	$87,0,$82,$48,0,$84,$48,$82
	db	0,$78,$7f,$7,$7f,$78,$83,0
	db	$80

	db	$83,0,$82,$10,$84,$19,0,$19
	db	$82,$44,$19,$83,0,$70,$7f,$70
	db	$84,0,$80

	db	$82,0,$32,$86,$33,0,$33,$82
	db	$8,$33,$82,0,$1e,$1f,$61,$1f
	db	$1e,$83,0,$80

	db	$82,0,$87,$66,0,$66,$82,$11
	db	$66,$82,0,$40,$7c,$3f,$7c,$40
	db	$83,0,$80

	db	$82,0,$87,$4c,0,$4c,$82,$22
	db	$4c,$82,0,$82,$7,0,$82,$7
	db	$83,0,$80

	db	$82,0,$87,$19,0,$19,$82,$44
	db	$19,$8a,0,$80

	db	$82,0,$87,$33,0,$33,$82,$8
	db	$33,$82,0,$1e,$7e,$60,$7e,$1e
	db	$83,0,$80

	db	$82,0,$87,$66,$40,$66,$65,$25
	db	$26,$82,0,$40,$43,$3f,$43,$40
	db	$83,0,$80

	db	$82,0,$82,$4c,$82,$1c,$84,$19
	db	$82,$1,$84,0,$7,$7f,$78,$7f
	db	$7,$83,0,$80

	db	$82,0,$86,$3,$88,0,$82,$70
	db	$f,$82,$70,$83,0,$80

	db	$90,0,$1,$1f,$7e,$1f,$1,$83
	db	0,$80

	db	$92,0,$3,$85,0,$80

	db	$98,0,$80

unplug	db	4
	db	$98,0,$80
	db	$98,0,$80
	db	$88,0,$83,$40,$8d,0,$80
	db	$86,0,$82,$58,$5,$82,$5d,$58
	db	$82,0,$86,$58,$84,0,$80

	db	$84,0,$30,$b,$83,0,$82,$3b
	db	$b,$30,$3b,$b,$85,0,$b,$30
	db	$82,0,$80

	db	$83,0,$76,$77,$83,$60,$76,$77
	db	$1,0,$82,$77,$82,$16,$60,$84
	db	0,$77,$16,0,$80

	db	$83,0,$2,$2e,$42,$6e,$42,$6e
	db	$2e,$82,$2c,$2,$2e,$82,$2c,$6e
	db	$40,$6c,$40,$6c,$2,$82,0,$80

	db	$82,0,$82,$58,0,$5d,$5,$5d
	db	$5,$58,0,$58,0,$83,$58,$85
	db	$5d,$58,$82,0,$80

	db	$95,0,$30,$b,0,$80

	db	$94,0,$16,$61,$82,0,$80

	db	$85,0,$87,$40,$87,0,$40,$6c
	db	$2,$82,0,$80

	db	$85,0,$7f,$85,$7,$7f,$86,0
	db	$58,$82,$5d,$58,$82,0,$80

	db	$85,0,$7f,0,$f,0,$f,0
	db	$7f,$85,0,$3b,$84,$30,$3b,0
	db	$80

	db	$85,0,$1f,$85,$1e,$1f,$85,0
	db	$1,$17,$82,$1,$17,$1,0,$80

	db	$98,0,$80
	db	$98,0,$80

musics	db	4
	db	$98,0,$80
	db	$98,0,$80
	db	$85,0,$84,$40,$8f,0,$80
	db	$83,0,$82,$78,$84,$7,$82,$78
	db	$8d,0,$80

	db	$82,0,$7f,$82,0,$82,$f,$84
	db	0,$7f,0,$82,$7f,0,$82,$7f
	db	0,$83,$7f,$70,0,$80

	db	$82,0,$1,$82,$1e,$84,$60,$82
	db	$1e,$1,0,$82,$1,0,$82,$1
	db	0,$83,$1,$7f,0,$80

	db	$85,0,$84,$3,$8c,0,$7c,$3
	db	0,$80

	db	$82,0,$40,$89,$4,$40,$86,0
	db	$82,$78,$7,$82,0,$80

	db	$84,0,$86,$8,$86,0,$70,$7f
	db	$f,$85,0,$80

	db	$82,0,$82,$1,$86,$10,$82,$1
	db	$84,0,$61,$7f,$1e,$85,0,$80

	db	$83,0,$2,0,$84,$20,0,$2
	db	$85,0,$43,$7f,$3c,$85,0,$80

	db	$84,0,$4,0,$82,$40,0,$4
	db	$86,0,$7f,$7,$86,0,$80

	db	$85,0,$8,$82,0,$8,$87,0
	db	$70,$f,$86,0,$80

	db	$90,0,$1,$87,0,$80
	db	$98,0,$80
	db	$98,0,$80


d	db	1
	db	$88,$ff,$80
	db	$88,$ff,$80
	db	$88,$ff,$80
	db	$88,$ff,$80

sea0	db	1,$84,0,$80, $84,0,$80, $84,0,$80, $84,0,$80
sea1	db	1,$84,$f,$80,$84,0,$80, $84,0,$80, $84,0,$80
sea2	db	1,$84,$7f,$80,$84,1,$80, $84,0,$80, $84,0,$80
sea3	db	1,$84,$7f,$80,$84,$1f,$80,$84,0,$80, $84,0,$80
sea4	db	1,$84,$7f,$80,$84,$7f,$80,$84,3,$80, $84,0,$80
sea5	db	1,$84,$7f,$80,$84,$7f,$80,$84,$3f,$80,$84,0,$80
sea6	db	1,$84,$7f,$80,$84,$7f,$80,$84,$7f,$80,$84,7,$80
sea7	db	1,$84,$7f,$80,$84,$7f,$80,$84,$7f,$80,$84,$7f,$80

darkbak
	db	4,$98,0,$80,$98,0,$80,$98,0,$80,$98,0,$80
	db	$98,0,$80,$98,0,$80,$98,0,$80,$98,0,$80
	db	$98,0,$80,$98,0,$80,$98,0,$80,$98,0,$80
	db	$98,0,$80,$98,0,$80,$98,0,$80,$98,0,$80

grit	db	1

	db	$82,$8,$50,$85,0,$80

	db	$11,0,$82,$1,$1a,$10,$20,$0
	db	$80

	db	$22,0,$40,0,$34,$20,$3,$2
	db	$80

	db	$44,$40,$6,$4,$84,0,$80

grib	db	1

	db	$82,0,$50,0,$d,$8,$5d,$8
	db	$80

	db	$1a,$10,$82,$1,$82,0,$3b,$11
	db	$80

	db	$34,$20,$40,$83,0,$77,$22,$80

	db	$82,0,$6,$4,$68,$40,$6e,$44
	db	$80

botgrd	db	1

	db	0,$87,$8,$80

	db	0,$82,$11,$1,$1b,$83,$11,$80

	db	0,$82,$22,$2,$36,$82,$22,$20
	db	$80

	db	0,$87,$44,$80

hall1	db	2

	db	0,$8,$5d,$7f,$5d,$82,$8,$0
	db	$98,$20,0,$70,$83,$50,$83,$0
	db	$88,$20,$82,0,$86,$70,$82,$0
	db	$50,$70,$50,$83,0,$80

	db	0,$11,$3b,$7f,$3b,$82,$11,$0
	db	$98,$44,0,$6e,$83,$3b,0,$11
	db	0,$88,$44,$82,0,$86,$6e,$0
	db	$11,$3b,$7f,$3b,$82,$11,0,$80

	db	0,$22,$77,$7f,$77,$82,$22,$0
	db	$98,$8,0,$5d,$83,$77,0,$22
	db	0,$88,$8,$82,0,$86,$5d,$0
	db	$22,$77,$7f,$77,$82,$22,0,$80

	db	0,$44,$6e,$7f,$2e,$82,$2c,$40
	db	$98,$11,0,$3b,$83,$6e,0,$44
	db	0,$88,$11,$82,0,$86,$3b,$0
	db	$44,$6e,$7f,$6e,$82,$44,0,$80

;
	db	0,$8,$5d,$7f,$83,0,$8,$98
	db	$22,0,$77,$83,$5d,0,$8,$0
	db	$88,$22,$82,0,$86,$77,0,$8
	db	$5d,$7f,$5d,$82,$8,0,$80

	db	0,$11,$3b,$7f,$3a,$82,$10,$1
	db	$98,$44,0,$6e,$83,$3b,0,$11
	db	0,$88,$44,$82,0,$86,$6e,$0
	db	$11,$3b,$7f,$3b,$82,$11,0,$80

	db	0,$22,$77,$7f,$77,$82,$22,$0
	db	$98,$8,0,$5d,$83,$77,0,$22
	db	0,$88,$8,$82,0,$86,$5d,$0
	db	$22,$77,$7f,$77,$82,$22,0,$80

	db	0,$44,$6e,$7f,$6e,$82,$44,$0
	db	$98,$11,0,$3b,$83,$6e,0,$44
	db	0,$88,$11,$82,0,$86,$3b,$0
	db	$44,$6e,$7f,$6e,$82,$44,0,$80

elsidl1 db	1

	db	0,$82,$70,$85,0,$80

	db	$1b,$82,$1a,$1b,$1a,$82,$e,$1a
	db	$80

	db	$88,0,$80

	db	$88,0,$80

elsidl2 db	1

	db	$88,0,$80

	db	$1,$82,$61,$1,$84,$1b,$80

	db	$2,$82,$1,$2,$84,0,$80

	db	$88,0,$80

elsidr1 db	1

	db	$88,0,$80

	db	$88,0,$80

	db	$34,$82,$74,$82,$34,$82,$1c,$34
	db	$80

	db	$4,$82,$3,$4,$84,$40,$80

elsidr2 db	1

	db	$88,0,$80

	db	0,$82,$60,$85,0,$80

	db	$2,$82,$1,$2,$84,$34,$80

	db	$88,$4,$80

mdsc1	db	2

	db	$96,0,$50,$82,$8,$d,0,$8
	db	0,$50,$5d,0,$a8,$22,0,$87
	db	$77,0,$82,$5d,0,$82,$8,$0
	db	$83,$8,$96,0,$80

	db	$96,0,$1b,$11,0,$82,$10,$0
	db	$6e,$6f,$7b,0,$a8,$44,0,$87
	db	$6e,0,$3b,$3f,$1e,0,$1,$0
	db	$11,0,$1,$84,0,$82,$10,$90
	db	0,$80

	db	$93,0,$40,$82,$20,$82,$3c,$74
	db	$22,$2,0,$83,$1,0,$a8,$8
	db	0,$87,$5d,0,$82,$77,$2,$40
	db	$62,0,$22,0,$22,$83,0,$83
	db	$20,$90,0,$80

	db	$8a,0,$82,$3,$7,$83,$3,$83
	db	0,$6e,$44,0,$40,0,$6e,$6c
	db	$40,$85,0,$a8,$11,0,$87,$3b
	db	0,$82,$6e,0,$6,$6e,0,$44
	db	0,$44,0,$82,$40,0,$82,$40
	db	$90,0,$80

;
	db	$3,0,$3,0,$3,0,$3,$0
	db	$77,0,$77,0,$7f,$77,0,$77
	db	0,$77,0,$7f,$8,0,$8,$0
	db	$50,$5d,$8,$85,0,$a8,$22,$0
	db	$87,$77,0,$82,$5d,$82,0,$50
	db	0,$d,$f,$d,0,$f,$d,$0
	db	$f,$d,$3,0,$3,0,$3,$0
	db	$3,0,$3,0,$3,0,$3,$0
	db	$3,0,$80

	db	$8a,0,$82,$60,$61,$83,$60,$83
	db	0,$1b,$11,0,$61,$60,$3b,$11
	db	$1,$85,0,$a8,$44,0,$87,$6e
	db	0,$82,$3b,0,$1a,$1b,0,$11
	db	0,$11,0,$82,$1,0,$82,$1
	db	$90,0,$80

	db	$8a,0,$82,$1,$3,$83,$1,$84
	db	0,$82,$2,$43,$82,$3,$22,$20
	db	0,$83,$5c,0,$a8,$8,0,$87
	db	$5d,0,$82,$77,$60,0,$22,$0
	db	$22,0,$22,$83,0,$83,$2,$90
	db	0,$80

	db	$96,0,$6e,$44,0,$82,$4,$0
	db	$3,$6b,$6e,0,$a8,$11,0,$87
	db	$3b,0,$6e,$6f,$7,0,$40,$0
	db	$44,0,$40,$84,0,$82,$4,$90
	db	0,$80

mdul1	db	1

	db	0,$82,$70,0,$84,$8,$80

	db	$1b,$82,$1a,$1b,$1a,$82,$e,$1a
	db	$80

	db	$82,0,$40,$84,0,$40,$80

	db	$82,0,$6,$44,$4,0,$68,$6e
	db	$80

mdl1	db	1

	db	$89,0,$82,$70,0,$84,$8,$80

	db	$1,$82,$61,$1,$85,$1b,$82,$1a
	db	$1b,$1a,$82,$e,$1a,$80

	db	$42,$82,$41,$42,$8c,$40,$80

	db	$90,$6,$80

mdll1	db	1

	db	$88,0,$80

	db	$1,$82,$61,$1,$84,$1b,$80

	db	$42,$41,$1,$2,$84,0,$80

	db	$6,$6e,$68,0,$82,$40,$82,$0
	db	$80

mdul2	db	1

	db	$88,0,$80

	db	$1,$82,$61,$1,$84,$1b,$80

	db	$2,$1,$41,$2,$83,0,$40,$80

	db	$82,0,$6,$44,$4,0,$68,$6e
	db	$80

mdl2	db	1

	db	0,$82,$70,0,$84,$8,$88,$0
	db	$80

	db	$1b,$82,$1a,$1b,$1a,$82,$e,$1a
	db	$1,$82,$61,$1,$84,$1b,$80

	db	$88,$40,$42,$82,$41,$42,$84,$40
	db	$80

	db	$90,$6,$80

mdll2	db	1

	db	0,$82,$70,0,$84,$8,$80

	db	$1b,$82,$1a,$1b,$1a,$82,$e,$1a
	db	$80

	db	$82,$40,$86,0,$80

	db	$6,$6e,$68,0,$82,$40,$82,$0
	db	$80

mdur1	db	1

	db	$82,0,$50,$8,$82,0,$d,$5d
	db	$80

	db	$82,0,$83,$1,$82,0,$1,$80

	db	$34,$82,$74,$82,$34,$82,$1c,$34
	db	$80

	db	$4,$82,$3,$4,$84,$40,$80

mdr1	db	1

	db	$90,$50,$80

	db	$1,$82,$61,$8d,$1,$80

	db	$2,$82,$1,$2,$85,$34,$82,$74
	db	$82,$34,$82,$1c,$34,$80

	db	$89,$4,$82,$3,$4,$84,$40,$80

mdlr1	db	1

	db	$50,$5d,$d,0,$82,$8,$82,$0
	db	$80

	db	$1,$61,$60,$85,0,$80

	db	$2,$82,$1,$2,$84,$34,$80

	db	$88,$4,$80

mdur2	db	1

	db	$82,0,$50,$8,$82,0,$d,$5d
	db	$80

	db	0,$60,$61,$82,$1,$82,0,$1
	db	$80

	db	$2,$82,$1,$2,$84,$34,$80

	db	$88,$4,$80

mdr2	db	1

	db	$90,$50,$80

	db	$89,$1,$82,$61,$85,$1,$80

	db	$34,$82,$74,$82,$34,$82,$1c,$34
	db	$2,$82,$1,$2,$84,$34,$80

	db	$4,$82,$3,$4,$84,$40,$88,$4
	db	$80

mdlr2	db	1

	db	$50,$5d,$d,0,$82,$8,$82,$0
	db	$80

	db	$82,$1,$86,0,$80

	db	$34,$82,$74,$82,$34,$82,$1c,$34
	db	$80

	db	$4,$82,$3,$4,$84,$40,$80

lchn1	db	1

	db	$88,$3b,$80

	db	$87,$77,$17,$80

	db	$83,$6e,$82,$2e,$62,$22,$2e,$80

	db	$5d,$82,$45,$5c,$4,$45,$40,$5c
	db	$80

lchn2	db	1

	db	$8d,$3b,$82,$b,$38,$8,$b,$0
	db	$82,$38,$83,$3b,$80

	db	$89,$77,$82,$17,$71,$11,$17,$1
	db	$71,$70,$87,$77,$80

	db	$85,$6e,$82,$2e,$62,$22,$2e,$2
	db	$62,$60,$8b,$6e,$80

	db	$83,$5d,$82,$45,$5c,$4,$45,$40
	db	$82,$5c,$8d,$5d,$80

rchn1	db	1

	db	$83,$3b,$82,$38,$b,0,$38,$8
	db	$82,$b,$8d,$3b,$80

	db	$87,$77,$71,$70,$17,$1,$71,$11
	db	$82,$17,$89,$77,$80

	db	$8b,$6e,$62,$60,$2e,$2,$62,$22
	db	$82,$2e,$85,$6e,$80

	db	$8d,$5d,$82,$5c,$45,$40,$5c,$4
	db	$82,$45,$83,$5d,$80

rchn2	db	1

	db	$3b,$82,$38,$b,0,$38,$8,$b
	db	$80

	db	$85,$77,$71,$70,$17,$80

	db	$88,$6e,$80

	db	$88,$5d,$80

spin	db	1

	db	$82,$77,0,$77,$7f,$82,$77,$0
	db	$82,$77,0,$7f,$8,0,$8,$0
	db	$80

	db	$82,0,$82,$60,$61,$83,$60,$83
	db	0,$1b,$11,0,$61,$60,$80

	db	$82,0,$82,$1,$3,$83,$1,$84
	db	0,$82,$2,$43,$3,$80

	db	$8e,0,$6e,$44,$80

;elevbot db	 4
;
;	 db	 $90,0,$80
;
;	 db	 $1,$82,$61,$1,$84,$1b,0,$82
;	 db	 $1,0,$1,$10,$11,0,$80
;
;	 db	 $2,$82,$1,$2,$82,0,$40,$82
;	 db	 0,$20,$22,0,$83,$5e,0,$80
;
;	 db	 $86,0,$6e,$44,0,$82,$4,$0
;	 db	 $3,$6b,$6e,0,$80
;
;;
;	 db	 $87,0,$8,0,$82,$d,$82,$8
;	 db	 0,$5d,$50,$80
;
;	 db	 0,$82,$4,0,$40,$85,0,$1a
;	 db	 $11,$10,0,$1,$1b,$80
;
;	 db	 0,$82,$8,$89,0,$40,0,$40
;	 db	 $20,$80
;
;	 db	 0,$82,$39,0,$39,0,$39,$82
;	 db	 0,$10,$4,$10,$6,$10,$6,$4
;	 db	 $80
;
;;
;	 db	 0,$82,$77,0,$27,0,$27,$0
;	 db	 $7,$20,$7,$20,$7,$20,$7,$0
;	 db	 $80
;
;	 db	 0,$82,$64,0,$e,0,$e,$83
;	 db	 0,$10,0,$1a,0,$1a,$10,$80
;
;	 db	 0,$82,$1,0,$8,$85,0,$40
;	 db	 $84,0,$42,$80
;
;	 db	 0,$82,$1,$87,0,$6,$44,$4
;	 db	 0,$68,$6e,$80
;
;;
;	 db	 $86,0,$50,$82,$8,$d,0,$8
;	 db	 0,$50,$5d,0,$80
;
;	 db	 $86,0,$1b,$11,0,$82,$10,$0
;	 db	 $6e,$6f,$7b,0,$80
;
;	 db	 $20,$82,$1c,$20,$84,$40,0,$2
;	 db	 $22,0,$83,$21,0,$80
;
;	 db	 $84,$40,$84,$46,0,$82,$40,$0
;	 db	 $40,$4,$44,0,$80
;
;elevtop db	 4
;
;	 db	 $89,0,$82,$70,0,$84,$8,$80
;
;	 db	 $1,$82,$61,$1,$85,$1b,$82,$1a
;	 db	 $1b,$1a,$82,$e,$1a,$80
;
;	 db	 $2,$1,$41,$2,$83,0,$40,$0
;	 db	 $82,$34,$82,$20,0,$74,$40,$80
;
;	 db	 $82,0,$6,$44,$4,0,$68,$6e
;	 db	 $82,0,$68,$44,$40,0,$6,$6e
;	 db	 $80
;
;;
;	 db	 $8,$d,0,$8,0,$50,$5d,$82
;	 db	 0,$82,$8,$d,$57,$82,$d,$8
;	 db	 $80
;
;	 db	 0,$82,$10,0,$6e,$6f,$7b,$0
;	 db	 $11,$1,0,$1,$6f,$7b,$1,$0
;	 db	 $80
;
;	 db	 0,$82,$36,$20,$21,$1,$75,$40
;	 db	 $84,0,$3,$1,$82,0,$80
;
;	 db	 $82,0,$68,$44,$40,0,$6,$6e
;	 db	 $88,0,$80
;
;;
;	 db	 $82,0,$50,$84,0,$50,$88,$0
;	 db	 $80
;
;	 db	 0,$20,$21,$11,$1,0,$3a,$1b
;	 db	 $88,0,$80
;
;	 db	 0,$82,$23,$2,$5e,$5c,$5f,$85
;	 db	 0,$7c,$5c,$82,0,$80
;
;	 db	 0,$82,$4,0,$3,$6b,$6e,$0
;	 db	 $44,$40,0,$40,$6b,$46,$40,$0
;	 db	 $80
;
;;
;	 db	 0,$82,$d,$82,$8,0,$5d,$50
;	 db	 $82,0,$50,$84,0,$50,$80
;
;	 db	 $82,0,$1a,$11,$10,0,$1,$1b
;	 db	 0,$20,$21,$11,$1,0,$3a,$1b
;	 db	 $80
;
;	 db	 $20,$82,$1c,$20,$85,$40,$82,$43
;	 db	 $82,$42,$40,$43,$40,$80
;
;	 db	 $84,$40,$85,$46,$82,$3e,$46,$6
;	 db	 $82,$3,$6,$80

botdoor db	4

	db	$83,0,$50,0,$d,$8,$5d,$88
	db	0,$af,$20,$82,0,$82,$8,$0
	db	$82,$77,$57,0,$8,0,$8,$50
	db	$84,0,$80

	db	$82,0,$10,$11,$1,$82,$3a,$1
	db	0,$10,$1a,0,$6e,$82,$10,$0
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,0,$24,$82
	db	0,$21,$1,$82,0,$1a,$3b,$0
	db	$11,$82,0,$82,$1,$1a,$10,$20
	db	$80

	db	$2,0,$82,$2,0,$3,$43,$40
	db	0,$22,$40,0,$5d,$82,$22,$0
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$22
	db	$2,$37,$34,$22,$20,0,$77,$40
	db	$62,$40,$85,0,$3,$80

	db	$82,0,$82,$40,0,$68,$6e,$6
	db	0,$4,$6,0,$3,$82,$4,$0
	db	$ad,$11,$10,$11,$83,0,$68,$44
	db	$40,0,$6,$6e,$6,$6e,$68,$0
	db	$44,$40,$82,0,$80

;
	db	$8,0,$82,$8,0,$82,$5d,$83
	db	0,$50,$82,0,$70,$83,0,$77
	db	0,$77,0,$77,0,$77,0,$77
	db	0,$7,$70,$77,0,$7,0,$77
	db	0,$77,0,$77,0,$77,0,$77
	db	0,$77,0,$77,0,$77,0,$77
	db	0,$77,0,$77,0,$77,0,$87
	db	$7f,$83,0,$70,$85,0,$82,$5d
	db	0,$82,$8,0,$8,$80

	db	$11,0,$1,0,$1e,$3f,$3b,$82
	db	0,$11,$3b,$82,$11,$6e,$82,$0
	db	$11,$6e,$11,$6e,$11,$e,$71,$6e
	db	$11,$6e,$11,$60,$e,0,$1,$0
	db	$11,$e,$71,$6e,$11,$6e,$11,$6e
	db	$11,$6e,$11,$6e,$11,$6e,$11,$6e
	db	$11,$6e,$11,$6e,$11,$6e,$11,$6e
	db	0,$87,$7f,0,$11,0,$6e,$83
	db	$11,$82,0,$3b,$2f,$e,0,$1
	db	0,$11,$80

	db	$22,0,$62,$40,$2,$82,$77,$82
	db	0,$22,$77,$82,$22,$7d,$82,$0
	db	$22,$5d,$22,$5d,$22,$40,$82,$1d
	db	$2,$1,0,$1,$84,0,$22,$40
	db	$1d,$5d,$22,$5d,$22,$5d,$22,$5d
	db	$22,$5d,$22,$5d,$22,$5d,$22,$5d
	db	$22,$5d,$22,$5d,$22,$5d,0,$87
	db	$7f,0,$22,0,$7d,$83,$22,$82
	db	0,$82,$77,$2,$40,$62,0,$22
	db	$80

	db	$44,0,$6e,$6,0,$82,$6e,$82
	db	0,$44,$6e,$82,$44,$7f,$82,$0
	db	$44,$3b,$4,$3,$3c,$3b,$4,$0
	db	$38,$78,$82,0,$78,0,$38,$82
	db	0,$3,$3c,$3,$4,$3b,$44,$3b
	db	$4,$3,$3c,$3b,$44,$3b,$4,$3
	db	$3c,$3b,$44,$3b,$4,$3,$3c,$3b
	db	0,$87,$7f,0,$44,0,$7f,$83
	db	$44,$82,0,$82,$6e,0,$6,$6e
	db	0,$44,$80

;
	db	$d,0,$50,$82,0,$82,$5d,$82
	db	0,$8,$5d,$82,$8,$7f,$82,$0
	db	$8,$77,$82,0,$77,$70,$82,$0
	db	$82,$7f,$82,$f,$70,$f,0,$f
	db	$82,0,$77,$82,0,$77,$8,$77
	db	$82,0,$82,$77,$8,$77,$82,$0
	db	$82,$77,$8,$77,$82,0,$82,$77
	db	0,$87,$7f,0,$8,0,$7f,$83
	db	$8,$82,0,$82,$5d,$82,0,$50
	db	0,$d,$80

	db	$11,0,$1b,$1a,0,$82,$3b,$82
	db	0,$11,$3b,$82,$11,$7f,$82,$0
	db	$11,$6e,$10,$6e,$10,$e,$70,$60
	db	0,$1,$82,0,$1,$84,0,$e
	db	$70,$6e,$10,$6e,$11,$6e,$10,$6e
	db	$10,$6e,$11,$6e,$10,$6e,$10,$6e
	db	$11,$6e,$10,$6e,$10,$6e,0,$87
	db	$7f,0,$11,0,$7f,$83,$11,$82
	db	0,$82,$3b,0,$1a,$1b,0,$11
	db	$80

	db	$22,0,$22,0,$60,$82,$77,$82
	db	0,$22,$77,$82,$22,$5f,$82,$0
	db	$22,$5d,$22,$5d,$22,$40,$1d,$5d
	db	$20,$5c,0,$1c,$40,$83,0,$22
	db	$40,$1d,$5d,$22,$5d,$22,$5d,$22
	db	$5d,$22,$5d,$22,$5d,$22,$5d,$22
	db	$5d,$22,$5d,$22,$5d,$22,$5d,$0
	db	$87,$7f,0,$22,0,$5f,$83,$22
	db	$82,0,$82,$77,$60,0,$22,$0
	db	$22,$80

	db	$44,0,$40,0,$7,$6f,$6e,$82
	db	0,$44,$6e,$82,$44,$3b,$82,$0
	db	$44,$3b,$44,$3b,$44,$3b,$44,$3b
	db	$44,$3b,$44,0,$3b,$38,$40,$0
	db	$44,$3b,$44,$3b,$44,$3b,$44,$3b
	db	$44,$3b,$44,$3b,$44,$3b,$44,$3b
	db	$44,$3b,$44,$3b,$44,$3b,$44,$3b
	db	0,$87,$7f,0,$44,0,$3b,$83
	db	$44,$82,0,$6e,$6b,$3,0,$40
	db	0,$44,$80

;
	db	$8,0,$82,$8,0,$82,$5d,$89
	db	0,$af,$20,$83,0,$50,$84,$0
	db	$50,0,$82,$5d,0,$82,$8,$0
	db	$8,$80

	db	$82,0,$82,$1,0,$1,$1b,$1a
	db	0,$10,$1a,0,$6e,$82,$10,$0
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,0,$24,$82
	db	0,$20,$21,$11,$1,0,$3a,$1b
	db	$1a,$1b,$1,0,$11,$1,$82,$0
	db	$80

	db	$20,0,$82,$20,0,$82,$74,$82
	db	0,$22,$40,0,$5d,$82,$22,$0
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$22
	db	$20,$37,$3,$22,$2,$40,$77,$0
	db	$22,$84,0,$40,0,$34,$80

	db	$82,0,$4,$6c,$40,$82,$6,$68
	db	0,$4,$6,0,$3,$82,$4,$0
	db	$ad,$11,$10,$11,$82,0,$82,$40
	db	0,$38,$3e,$6e,0,$44,$82,$0
	db	$68,$40,$6,$4,0,$80

topdoor db	4

	db	$82,$3b,$83,$b,0,$82,$50,$88
	db	0,$af,$20,$82,0,$82,$8,$0
	db	$82,$3b,$5b,0,$88,$3b,$80

	db	$77,$1,$82,$10,0,$3a,$3b,$1
	db	0,$10,$1a,0,$6e,$82,$10,$0
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,0,$24,$82
	db	0,$21,$1,0,$1,$1b,$3b,$0
	db	$88,$77,$80

	db	$6e,0,$82,$2,0,$3,$43,$40
	db	0,$22,$40,0,$5d,$82,$22,$0
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$22
	db	$2,$37,$34,$22,$20,0,$77,$40
	db	$82,$42,$2,$84,$2e,$6e,$80

	db	$5,0,$82,$40,0,$68,$6e,$6
	db	0,$4,$6,0,$3,$82,$4,$0
	db	$ad,$11,$10,$11,$83,0,$68,$44
	db	$40,0,$6,$6e,$6,$6e,$68,$0
	db	$82,$40,0,$5,$80

;
	db	$8,0,$82,$8,0,$82,$5d,$83
	db	0,$50,$82,0,$70,$82,0,$7
	db	$70,$7,$70,$7,$70,$7,$70,$7
	db	$70,$7,$70,$7,$70,$7,$70,$7
	db	$70,$7,$70,$7,$70,$7,$70,$7
	db	$70,$7,$70,$7,$70,$7,$70,$7
	db	$70,$7,$70,$7,$70,$7,$70,$0
	db	$87,$7f,$83,0,$70,$85,0,$82
	db	$5d,0,$82,$8,0,$8,$80

	db	$11,0,$1,0,$1e,$3f,$3b,$82
	db	0,$11,$3b,$82,$11,$6e,$82,$0
	db	$e,$60,$e,$60,$e,$60,$e,$60
	db	$e,$60,$e,$60,$e,$60,$e,$60
	db	$e,$60,$e,$60,$e,$60,$e,$60
	db	$e,$60,$e,$60,$e,$60,$e,$60
	db	$e,$60,$e,$60,$e,$60,$e,$60
	db	0,$87,$7f,0,$11,0,$6e,$83
	db	$11,$82,0,$3b,$2f,$e,0,$1
	db	0,$11,$80

	db	$22,0,$62,$40,$2,$82,$77,$82
	db	0,$22,$77,$82,$22,$7d,$82,$0
	db	$1c,$41,$1c,$41,$1c,$41,$1c,$41
	db	$1c,$41,$1c,$41,$1c,$41,$1c,$41
	db	$1c,$41,$1c,$41,$1c,$41,$1c,$41
	db	$1c,$41,$1c,$41,$1c,$41,$1c,$41
	db	$1c,$41,$1c,$41,$1c,$41,$1c,$41
	db	0,$87,$7f,0,$22,0,$7d,$83
	db	$22,$82,0,$82,$77,$2,$40,$62
	db	0,$22,$80

	db	$44,0,$6e,$6,0,$82,$6e,$82
	db	0,$44,$6e,$82,$44,$7f,$82,$0
	db	$38,$3,$38,$3,$38,$3,$38,$3
	db	$38,$3,$38,$3,$38,$3,$38,$3
	db	$38,$3,$38,$3,$38,$3,$38,$3
	db	$38,$3,$38,$3,$38,$3,$38,$3
	db	$38,$3,$38,$3,$38,$3,$38,$3
	db	0,$87,$7f,0,$44,0,$7f,$83
	db	$44,$82,0,$82,$6e,0,$6,$6e
	db	0,$44,$80

;
	db	$d,0,$50,$82,0,$82,$5d,$82
	db	0,$8,$5d,$82,$8,$7f,$82,$0
	db	$7,$70,$7,$70,$7,$70,$7,$70
	db	$7,$70,$7,$70,$7,$70,$7,$70
	db	$7,$70,$7,$70,$7,$70,$7,$70
	db	$7,$70,$7,$70,$7,$70,$7,$70
	db	$7,$70,$7,$70,$7,$70,$7,$70
	db	0,$87,$7f,0,$8,0,$7f,$83
	db	$8,$82,0,$82,$5d,$82,0,$50
	db	0,$d,$80

	db	$11,0,$1b,$1a,0,$82,$3b,$82
	db	0,$11,$3b,$82,$11,$7f,$82,$0
	db	$e,$60,$e,$60,$e,$60,$e,$60
	db	$e,$60,$e,$60,$e,$60,$e,$60
	db	$e,$60,$e,$60,$e,$60,$e,$60
	db	$e,$60,$e,$60,$e,$60,$e,$60
	db	$e,$60,$e,$60,$e,$60,$e,$60
	db	0,$87,$7f,0,$11,0,$7f,$83
	db	$11,$82,0,$82,$3b,0,$1a,$1b
	db	0,$11,$80

	db	$22,0,$22,0,$60,$82,$77,$82
	db	0,$22,$77,$82,$22,$5f,$82,$0
	db	$1c,$41,$1c,$41,$1c,$41,$1c,$41
	db	$1c,$41,$1c,$41,$1c,$41,$1c,$41
	db	$1c,$41,$1c,$41,$1c,$41,$1c,$41
	db	$1c,$41,$1c,$41,$1c,$41,$1c,$41
	db	$1c,$41,$1c,$41,$1c,$41,$1c,$41
	db	0,$87,$7f,0,$22,0,$5f,$83
	db	$22,$82,0,$82,$77,$60,0,$22
	db	0,$22,$80

	db	$44,0,$40,0,$7,$6f,$6e,$82
	db	0,$44,$6e,$82,$44,$3b,$82,$0
	db	$38,$3,$38,$3,$38,$3,$38,$3
	db	$38,$3,$38,$3,$38,$3,$38,$3
	db	$38,$3,$38,$3,$38,$3,$38,$3
	db	$38,$3,$38,$3,$38,$3,$38,$3
	db	$38,$3,$38,$3,$38,$3,$38,$3
	db	0,$87,$7f,0,$44,0,$3b,$83
	db	$44,$82,0,$6e,$6b,$3,0,$40
	db	0,$44,$80

;
	db	$8,0,$82,$8,0,$82,$5d,$89
	db	0,$af,$20,$83,0,$50,$84,$0
	db	$50,0,$82,$5d,0,$82,$8,$0
	db	$8,$80

	db	$76,0,$82,$1,0,$1,$1b,$1a
	db	0,$10,$1a,0,$6e,$82,$10,$0
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,$4,$24,$44
	db	$24,$4,$24,$44,$24,0,$24,$82
	db	0,$20,$21,$11,$1,0,$3a,$1b
	db	$1a,$1b,$1,$60,$82,$61,$60,$76
	db	$80

	db	$6e,0,$82,$20,0,$82,$74,$82
	db	0,$22,$40,0,$5d,$82,$22,$0
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$8
	db	$15,$22,$37,$8,$15,$22,$37,$22
	db	$20,$37,$3,$22,$2,$40,$77,$0
	db	$83,$6c,$85,$6e,$80

	db	$5d,$58,$82,$4,0,$6,$6e,$68
	db	0,$4,$6,0,$3,$82,$4,$0
	db	$ad,$11,$10,$11,$82,0,$82,$40
	db	0,$58,$5e,$6e,0,$88,$5d,$80

garback db	1

	db	$88,$70,$80

	db	$88,$6e,$80

	db	$88,$5d,$80

	db	$88,$3b,$80

gargo	db	2

	db	$84,0,$50,$a2,0,$50,$80

	db	$83,0,$82,$1,$11,$1b,$1a,$11
	db	$10,$11,$30,$1,$30,$84,0,$30
	db	$8c,0,$20,0,$20,0,$82,$20
	db	$10,$82,$11,$80

	db	$86,0,$60,$20,$2,$22,$74,$77
	db	$34,$3,$2,$22,$82,$36,$63,$42
	db	$2,0,$40,$82,$2,$22,$82,$76
	db	$62,$60,$20,$23,$34,$63,$36,$82
	db	$37,$36,$1e,$36,$80

	db	$84,0,$3c,0,$3e,$6c,$78,$0
	db	$6,$46,$82,$68,$6c,$68,$40,$4
	db	$46,$6e,0,$44,$6e,$6c,$40,$0
	db	$46,$6e,$82,$7e,$6c,$82,0,$3b
	db	$44,$85,$4,$80

;
	db	$84,0,$7,0,$57,$d,$f,$0
	db	$50,$58,$84,$d,$8,0,$58,$5d
	db	0,$8,$5d,$d,$8,0,$58,$5d
	db	$82,$5f,$d,$82,0,$77,$8,$85
	db	0,$80

	db	$84,0,$1,0,$82,$11,0,$10
	db	$1b,$3b,$1a,$20,$1,$10,$1a,$1b
	db	$31,$1,0,$83,$1,0,$10,$82
	db	$1b,$31,$11,$31,$10,$1a,$10,$84
	db	$1b,$6f,$3b,$80

	db	$84,0,$40,$20,$34,$36,$82,$22
	db	$20,$23,0,$23,$84,$2,$23,$82
	db	$2,$82,0,$85,$2,$23,$22,$23
	db	$84,$22,$82,$2,$22,$21,$63,$80

	db	$83,0,$4,$6,$82,$4,0,$4
	db	0,$4,0,$4,$99,0,$4,$6
	db	$80

gargoa	db	2

	db	$90,0,$80

	db	$11,$10,$11,$10,$61,$30,$84,$0
	db	$30,0,$20,$83,0,$80

	db	$2,$22,$74,0,$43,$3,$2,$22
	db	$82,$36,$63,$42,$1f,0,$40,$2
	db	$80

	db	$78,0,$6,$40,$6f,$68,$6c,$68
	db	$40,$4,$46,$6f,0,$44,$6e,$6c
	db	$80

;
	db	$f,0,$50,$78,$7d,$5d,$d,$8
	db	$58,$d,$70,$82,0,$70,$5d,$d
	db	$80

	db	0,$10,$7f,$82,$61,$3b,$1f,$10
	db	$11,$1,$31,$82,0,$1b,$11,$1
	db	$80

	db	$82,$22,$82,$23,$1,$23,$84,$2
	db	$23,$82,$2,$82,0,$2,$80

	db	$4,0,$4,0,$4,$8b,0,$80

gargob	db	2

	db	$90,0,$80

	db	$11,$10,$11,$10,$61,$30,$84,$0
	db	$30,0,$20,$83,0,$80

	db	$2,$22,$74,0,$43,$3,$2,$22
	db	$82,$36,$63,$42,$1f,0,$40,$2
	db	$80

	db	$78,0,$6,$40,$6f,$68,$6c,$68
	db	$40,$4,$46,$6f,0,$44,$6e,$6c
	db	$80

;
	db	$f,0,$50,$78,$7d,$5d,$d,$8
	db	$58,$d,$70,$82,0,$70,$5d,$d
	db	$80

	db	0,$10,$7f,$82,$61,$3b,$1f,$10
	db	$11,$1,$31,$82,0,$1b,$11,$1
	db	$80

	db	$82,$22,$82,$23,$1,$23,$84,$2
	db	$23,$82,$2,$82,0,$2,$80

	db	$4,0,$4,0,$4,$8b,0,$80

bdown	db	2

	db	$3b,$82,$33,$82,$63,$8a,$33,$0
	db	$80

	db	$77,$82,$66,$82,$5d,$82,$5c,$82
	db	$46,$86,$66,0,$80

	db	$6e,$82,$4c,$86,$3b,$82,$38,$82
	db	$c,$82,$4c,0,$80

	db	$5d,$82,$19,$88,$77,$82,$1f,$82
	db	$19,0,$80

;
	db	$3b,$82,$33,$84,$6e,$82,$3e,$86
	db	$33,0,$80

	db	$77,$82,$66,$82,$7d,$82,$67,$88
	db	$66,0,$80

	db	$46,$8f,$44,$80

	db	$90,$8,$80

bup	db	2

	db	$3b,$8a,$33,$82,$63,$82,$33,$0
	db	$80

	db	$77,$86,$66,$82,$46,$82,$5c,$82
	db	$5d,$82,$66,0,$80

	db	$6e,$82,$4c,$82,$c,$82,$38,$86
	db	$3b,$82,$4c,0,$80

	db	$5d,$82,$19,$82,$1f,$88,$77,$82
	db	$19,0,$80

;
	db	$3b,$86,$33,$82,$3e,$84,$6e,$82
	db	$33,0,$80

	db	$77,$88,$66,$82,$67,$82,$7d,$82
	db	$66,0,$80

	db	$46,$8f,$44,$80

	db	$90,$8,$80

boff	db	2

	db	$3b,$84,$33,$63,$e,$1e,$83,$3e
	db	$6e,0,$11,$82,$33,$80

	db	$77,$84,$66,$7d,$85,$7c,$61,$62
	db	$83,$66,$80

	db	$6e,$84,$4c,$c,$38,$82,$78,$82
	db	$38,$78,$40,$44,$82,$4c,$80

	db	$5d,$84,$19,$77,0,$8,$19,$1f
	db	$82,$18,$84,$19,$80

;
	db	$3b,$85,$33,$86,$63,$3,$13,$82
	db	$33,$80

	db	$77,$84,$66,$5c,$1,$23,$67,$7d
	db	$61,$63,$84,$66,$80

	db	$46,$84,$44,$47,$8a,$44,$80

	db	$90,$8,$80

btape	db	2

	db	$3b,$83,$33,$89,$63,$3,$13,$33
	db	$80

	db	$77,$83,$66,$5d,$86,$23,$43,$5d
	db	0,$22,$66,$80

	db	$6e,$83,$4c,$3b,$82,$44,$40,$78
	db	$44,$38,$47,$3b,0,$44,$4c,$80

	db	$5d,$83,$19,$77,$82,$8,0,$70
	db	$8,$77,$8,$77,0,$8,$19,$80

;
	db	$3b,$83,$33,$6e,$86,$11,$1e,$6e
	db	0,$11,$33,$80

	db	$77,$83,$66,$7d,$87,$7c,$7d,$60
	db	$62,$66,$80

	db	$46,$8f,$44,$80

	db	$90,$8,$80

bcod	db	2

	db	$3b,$33,$63,$6e,0,$6e,0,$11
	db	$6e,$e,$1e,$6e,0,$11,$82,$33
	db	$80

	db	$77,$66,$67,$7d,$60,$7d,$82,$7c
	db	$7d,$60,$62,$7d,$60,$62,$82,$66
	db	$80

	db	$6e,$84,$4c,$82,$38,$78,$38,$0
	db	$44,$38,0,$38,0,$4,$80

	db	$5d,$84,$19,$77,$82,$70,$77,$82
	db	$70,$77,0,$77,$7,$8,$80

;
	db	$3b,$82,$33,$63,$3,$63,$3,$13
	db	$63,$3,$13,$63,$3,$13,$82,$33
	db	$80

	db	$77,$66,$7c,$5d,0,$5d,$40,$42
	db	$5d,$40,$42,$5d,0,$22,$82,$66
	db	$80

	db	$46,$82,$44,$47,$44,$87,$47,$84
	db	$44,$80

	db	$90,$8,$80

divide	db	1

	db	0,$3b,$77,$3b,$33,$3b,$33,$0
	db	$80

	db	0,$77,$6e,$77,$66,$77,$66,$0
	db	$80

	db	0,$6e,$5d,$6e,$4c,$6e,$4c,$0
	db	$80

	db	0,$5d,$3b,$5d,$19,$5d,$19,$0
	db	$80

unkey1	db	1

	db	$83,$11,0,$3b,$83,$11,$80

	db	$83,$22,0,$77,$83,$22,$80

	db	$83,$44,0,$6e,$83,$44,$80

	db	$83,$8,0,$5d,$83,$8,$80

unkey2	db	1

	db	$88,0,$80

	db	$88,$20,$80

	db	$88,$44,$80

	db	$88,$8,$80

unkey3	db	1

	db	$88,0,$80

	db	$83,$20,0,$60,$83,$20,$80

	db	$83,$44,0,$6e,$83,$44,$80

	db	$83,$8,0,$5d,$83,$8,$80

lpan	db	6

	db	$3b,$8d,$33,$82,0,$3b,$8d,$33
	db	$82,0,$3b,$8d,$33,$82,0,$3b
	db	$8d,$33,$82,0,$80

	db	$77,$8d,$66,$82,0,$77,$84,$66
	db	$46,$83,$66,$46,$84,$66,$82,$0
	db	$77,$83,$66,$83,$46,$82,$66,$46
	db	$84,$66,$82,0,$77,$83,$66,$46
	db	$84,$66,$82,$46,$83,$66,$82,$0
	db	$80

	db	$6e,$83,$4c,$c,$38,$85,$c,$83
	db	$4c,$82,0,$6e,$83,$4c,$38,$4f
	db	$4c,$c,$4c,$4f,$38,$83,$4c,$82
	db	0,$6e,$83,$4c,$3b,$4f,$3b,$82
	db	$4c,$4f,$38,$83,$4c,$82,0,$6e
	db	$83,$4c,$3b,$82,$4c,$c,$78,$82
	db	$4f,$83,$4c,$82,0,$80

	db	$5d,$83,$19,$87,$1f,$83,$19,$82
	db	0,$5d,$83,$19,$1f,$82,$71,$1f
	db	$82,$71,$1f,$83,$19,$82,0,$5d
	db	$83,$19,$77,$19,$1f,$83,$71,$1f
	db	$83,$19,$82,0,$5d,$83,$19,$77
	db	$82,$71,$1f,$86,$19,$82,0,$80

;
	db	$3b,$8d,$33,$82,0,$3b,$8d,$33
	db	$82,0,$3b,$8d,$33,$82,0,$3b
	db	$8d,$33,$82,0,$80

	db	$17,$8d,$6,$82,0,$17,$8d,$6
	db	$82,0,$17,$8d,$6,$82,0,$17
	db	$8d,$6,$82,0,$80

	db	$6c,$8d,$4c,$82,0,$6c,$8d,$4c
	db	$82,0,$6c,$8d,$4c,$82,0,$6c
	db	$8d,$4c,$82,0,$80

	db	$5d,$8d,$19,$82,0,$5d,$8d,$19
	db	$82,0,$5d,$8d,$19,$82,0,$5d
	db	$8d,$19,$82,0,$80

;
	db	$3b,$83,$33,$63,$3e,$82,$33,$63
	db	$3e,$6e,$83,$33,$82,0,$3b,$83
	db	$33,$83,$3e,$6e,$86,$33,$82,$0
	db	$3b,$83,$33,$63,$3e,$6e,$83,$3e
	db	$63,$83,$33,$82,0,$3b,$83,$33
	db	$63,$3e,$63,$83,$3e,$63,$83,$33
	db	$82,0,$80

	db	$77,$83,$66,$7d,$82,$46,$7c,$67
	db	$66,$5d,$83,$66,$82,0,$77,$85
	db	$66,$7c,$5d,$83,$7c,$83,$66,$82
	db	0,$77,$83,$66,$5d,$66,$7d,$83
	db	$46,$7d,$83,$66,$82,0,$77,$83
	db	$66,$7d,$46,$7d,$83,$46,$7d,$83
	db	$66,$82,0,$80

	db	$6e,$84,$4c,$82,$4f,$83,$4c,$4f
	db	$83,$4c,$82,0,$6e,$86,$4c,$4f
	db	$86,$4c,$82,0,$6e,$83,$4c,$4f
	db	$82,$4c,$83,$4f,$84,$4c,$82,$0
	db	$6e,$84,$4c,$4f,$4c,$83,$4f,$84
	db	$4c,$82,0,$80

	db	$5d,$8d,$19,$82,0,$5d,$8d,$19
	db	$82,0,$5d,$8d,$19,$82,0,$5d
	db	$8d,$19,$82,0,$80

;
	db	$8d,$10,0,$30,0,$30,0,$30
	db	$ab,$10,$82,0,$80

	db	$8d,$22,0,$77,0,$77,0,$77
	db	$8f,$22,$84,$2,$62,$97,$22,$82
	db	0,$80

	db	$8e,0,$2,0,$6e,0,$6e,$86
	db	$44,$4,$84,0,$c,$82,$44,$40
	db	$84,0,$40,$4c,$44,$4,$84,$0
	db	$c,$87,$44,$84,$4,$84,$44,$82
	db	0,$80

	db	$90,0,$5d,0,$5d,$87,$8,$84
	db	0,$18,$9,$86,$8,$9,$83,$8
	db	$84,0,$18,$9,$85,$8,0,$83
	db	$18,$87,0,$80

;
	db	$90,0,$3b,0,$3b,$85,$11,$84
	db	$1,$31,$82,$11,$82,$1,$86,$0
	db	$3,$1,$31,$82,$11,$84,$1,$31
	db	$82,$11,$1,$30,$33,$82,$3b,$82
	db	$33,0,$33,0,$33,$82,0,$80

	db	$90,0,$77,0,$77,$84,$22,$20
	db	$84,0,$60,$26,$22,$8a,0,$66
	db	$22,$20,$84,0,$60,$26,$20,$6
	db	$76,$83,$77,$82,$66,0,$66,$0
	db	$66,$82,0,$80

	db	$90,0,$6e,0,$6e,$87,$44,$84
	db	$4,$83,$44,$86,$40,$4c,$82,$44
	db	$84,$4,$86,$44,$40,$c,$82,$4e
	db	$4c,$c,0,$c,0,$c,$82,$0
	db	$80

	db	$90,0,$5d,0,$5d,$86,$8,$85
	db	0,$1,$18,$82,$8,$84,0,$18
	db	$82,$8,$85,0,$1,$18,$86,$8
	db	$83,$1,0,$84,$8,$82,0,$80

;
	db	$8d,$11,0,$3b,0,$3b,0,$3b
	db	$87,$11,$84,$10,$13,$82,$11,$10
	db	$84,0,$30,$13,$82,$11,$84,$10
	db	$13,$8f,$11,$82,0,$80

	db	$8d,$2,0,$17,0,$17,0,$17
	db	$ab,$2,$82,0,$80

	db	$c0,0,$80

	db	$c0,0,$80

; gym.pcc

gym	db	2

	db	$8d,$10,0,$30,0,$80

	db	$8d,$22,0,$77,0,$80

	db	$86,0,$3c,$82,$60,$82,$20,$60
	db	$3c,0,$2,0,$80

	db	$86,0,$7c,$82,$45,$44,$7c,$47
	db	$7c,$83,0,$80

;
	db	$88,0,$f,$38,$f,$85,0,$80

	db	$88,0,$71,$17,$71,$85,0,$80

	db	$86,0,$3c,$60,$63,$22,$23,$60
	db	$3c,$83,0,$80

	db	$86,0,$7c,$82,$45,$44,$7c,$47
	db	$7c,$83,0,$80

; ener.pcc

ener	db	2

	db	$8d,$10,0,$30,0,$80

	db	$8d,$22,0,$77,0,$80

	db	$8a,0,$82,$6c,$82,$40,$2,$0
	db	$80

	db	$82,0,$58,$86,0,$58,$84,$5d
	db	$58,0,$80

;
	db	0,$83,$3b,$82,$30,0,$83,$30
	db	$82,$b,$84,0,$80

	db	0,$83,$77,$82,$17,0,$83,$17
	db	$82,$60,$84,0,$80

	db	0,$2,$2e,$2,$85,0,$2c,$82
	db	$6e,$82,$6c,$2c,0,$80

	db	$8a,0,$82,$5d,$82,$5,$82,$0
	db	$80

; gara.pcc

gara	db	2

	db	$8d,$10,0,$30,0,$80

	db	$8d,$22,0,$77,0,$80

	db	$8b,0,$2c,$20,0,$2,0,$80

	db	$89,0,$40,$4,$82,$5c,$83,$0
	db	$80

;
	db	$87,0,$70,$3f,$8,0,$82,$b
	db	$83,0,$80

	db	$86,0,$7e,$82,$77,$84,$11,$83
	db	0,$80

	db	$86,0,$62,$82,$2e,$22,$2,$82
	db	$6e,$83,0,$80

	db	$86,0,$5,$82,$5c,$44,$40,$82
	db	$45,$83,0,$80

; bed.pcc

bed	db	2

	db	$8d,$10,0,$30,0,$80

	db	$8d,$22,0,$77,0,$80

	db	$84,0,$87,$40,0,$40,0,$2
	db	0,$80

	db	$84,0,$5,$83,$7,$5f,$47,$7f
	db	0,$7f,$83,0,$80

;
	db	$88,0,$3b,$8,$7f,0,$7f,$83
	db	0,$80

	db	$88,0,$77,$11,$7f,0,$7f,$83
	db	0,$80

	db	$88,0,$6e,$22,$7f,0,$7f,$83
	db	0,$80

	db	$88,0,$45,$7c,$7f,0,$7f,$83
	db	0,$80

; comp.pcc

comp	db	2

	db	$8d,$10,0,$30,0,$80

	db	$8d,$22,0,$77,0,$80

	db	$8e,0,$2,0,$80

	db	$83,0,$86,$40,$82,0,$40,$58
	db	$40,0,$40,$80

;
	db	$82,0,$8,$86,$3b,$8,0,$b
	db	$38,$b,0,$8,$80

	db	$82,0,$11,$86,$77,$11,0,$17
	db	$71,$17,0,$11,$80

	db	$82,0,$22,$86,$2e,$22,0,$2e
	db	$62,$2e,0,$22,$80

	db	$83,0,$86,$4,$82,0,$4,$5
	db	$4,0,$4,$80

; food.pcc

food	db	2

	db	$8d,$10,0,$30,0,$80

	db	$8d,$22,0,$77,0,$80

	db	$88,0,$82,$40,$2c,$82,$7c,$40
	db	$2,0,$80

	db	$87,0,$78,$82,$47,$58,$7d,$5f
	db	$47,$78,0,$80

;
	db	$87,0,$78,$8,$78,$b,$78,$30
	db	$8,$7f,0,$80

	db	$87,0,$1,$82,$1f,$16,$77,$82
	db	$1f,$1,0,$80

	db	$82,0,$84,$40,$60,$2c,$6c,$2c
	db	$20,$62,$82,$20,$60,0,$80

	db	$82,0,$7,$83,$5,$45,$5c,$5d
	db	$5c,$44,$45,$44,$40,$47,0,$80

; desk.pcc

desk	db	2

	db	$8d,$10,0,$30,0,$80

	db	$8d,$22,0,$77,0,$80

	db	$82,0,$2c,$85,$20,$60,$3c,$84
	db	0,$2,$2c,$80

	db	$88,0,$45,$44,$58,0,$58,$0
	db	$5c,0,$80

;
	db	$84,0,$30,$83,0,$b,$8,$84
	db	0,$8,$b,$80

	db	$83,0,$76,$82,$11,$88,0,$10
	db	$16,$80

	db	$83,0,$6e,$82,$22,0,$22,$85
	db	$3c,$22,$82,0,$80

	db	$82,0,$58,$5,$7c,$44,0,$4
	db	$85,0,$4,$40,$58,$80

; stor.pcc

stor	db	2

	db	$8d,$10,0,$30,0,$80

	db	$8d,$22,0,$77,0,$80

	db	$8e,0,$2,0,$80

	db	$82,0,$58,$40,0,$78,$83,$40
	db	$58,$40,0,$58,$40,$82,0,$80

;
	db	$82,0,$3b,$8,0,$70,0,$30
	db	$b,$78,$8,0,$3b,$8,$82,$0
	db	$80

	db	$82,0,$77,$11,0,$61,$17,$71
	db	$1f,$61,$82,0,$77,$11,$82,$0
	db	$80

	db	$82,0,$6e,$22,0,$62,$3e,$43
	db	0,$3,$2,0,$6e,$22,$82,$0
	db	$80

	db	$82,0,$5,$4,0,$7,0,$7
	db	$83,$4,0,$5,$4,$82,0,$80

tapec1	db	7

	db	$33,$11,$33,0,$98,$33,$84,$0
	db	$80

	db	$66,$22,$66,0,$98,$66,$84,$0
	db	$80

	db	$4c,$44,$4c,0,$98,$4c,$84,$0
	db	$80

	db	$19,$8,$19,0,$98,$19,$84,$0
	db	$80

;
	db	$33,$11,$33,$9d,0,$80

	db	$66,$22,$66,$9d,0,$80

	db	$4c,$44,$4c,$89,0,$88,$40,$8c
	db	0,$80

	db	$19,$8,$19,$87,0,$8c,$8,$8a
	db	0,$80

;
	db	$33,$11,$33,$85,0,$10,$83,$11
	db	0,$82,$b,$84,0,$b,$1,$82
	db	$11,$10,$88,0,$80

	db	$66,$22,$66,$85,0,$83,$22,$36
	db	$16,0,$22,$76,$66,$22,0,$60
	db	$62,$83,$22,$88,0,$80

	db	$4c,$44,$4c,$85,0,$4,$82,$44
	db	$82,$40,$84,0,$82,$40,$2,$46
	db	$82,$44,$4,$88,0,$80

	db	$19,$8,$19,$87,0,$82,$8,$d
	db	$84,$8,$82,$d,$83,$8,$8a,$0
	db	$80

;
	db	$33,$11,$33,$89,0,$88,$1,$8c
	db	0,$80

	db	$66,$22,$66,$9d,0,$80

	db	$4c,$44,$4c,$89,0,$88,$40,$8c
	db	0,$80

	db	$19,$8,$19,$87,0,$8c,$8,$8a
	db	0,$80

;
	db	$33,$11,$33,$85,0,$10,$83,$11
	db	0,$82,$b,$84,0,$b,$1,$82
	db	$11,$10,$88,0,$80

	db	$66,$22,$66,$85,0,$83,$22,$36
	db	$16,0,$22,$76,$66,$22,0,$60
	db	$62,$83,$22,$88,0,$80

	db	$4c,$44,$4c,$85,0,$4,$82,$44
	db	$82,$40,$84,0,$82,$40,$2,$46
	db	$82,$44,$4,$88,0,$80

	db	$19,$8,$19,$87,0,$82,$8,$d
	db	$84,$8,$82,$d,$83,$8,$8a,$0
	db	$80

;
	db	$33,$11,$33,$89,0,$88,$1,$8c
	db	0,$80

	db	$66,$22,$66,$9d,0,$80

	db	$4c,$44,$4c,$9d,0,$80

	db	$19,$8,$19,$9d,0,$80

;
	db	$33,$11,$33,0,$98,$33,$84,$0
	db	$80

	db	$66,$22,$66,0,$98,$66,$84,$0
	db	$80

	db	$4c,$44,$4c,0,$98,$4c,$84,$0
	db	$80

	db	$19,$8,$19,0,$98,$19,$84,$0
	db	$80

;
tapec2	db	7

	db	$3b,$8f,$11,0,$33,0,$33,$83
	db	$11,$80

	db	$77,$8f,$22,0,$66,0,$66,$83
	db	$22,$80

	db	$6e,$8f,$44,0,$4c,0,$4c,$83
	db	$44,$80

	db	$5d,$8f,$8,0,$19,0,$19,$83
	db	$8,$80

;
	db	$3b,$85,$33,$63,$6e,$63,$84,$33
	db	$3b,$33,$3b,0,$33,0,$33,$83
	db	$11,$80

	db	$77,$84,$66,$7c,$7d,$5d,$7d,$7c
	db	$83,$66,$77,$66,$77,0,$66,$0
	db	$66,$83,$22,$80

	db	$6e,$84,$4c,$c,$38,$3b,$38,$c
	db	$83,$4c,$6e,$4c,$6e,0,$4c,$0
	db	$4c,$83,$44,$80

	db	$5d,$84,$19,$85,$1f,$83,$19,$5d
	db	$19,$5d,0,$19,0,$19,$83,$8
	db	$80

;
	db	$90,$31,0,$33,0,$33,$83,$11
	db	$80

	db	$77,$8c,$66,$77,$66,$77,0,$66
	db	0,$66,$83,$22,$80

	db	$6e,$82,$4c,$89,$c,$4c,$6e,$4c
	db	$6e,0,$4c,0,$4c,$83,$44,$80

	db	$5d,$82,$19,$1f,$87,$77,$1f,$19
	db	$5d,$19,$5d,0,$19,0,$19,$83
	db	$8,$80

;
	db	$3b,$84,$33,$3e,$83,$6e,$3e,$83
	db	$33,$3b,$33,$3b,0,$33,0,$33
	db	$83,$11,$80

	db	$77,$85,$66,$67,$7d,$67,$84,$66
	db	$77,$66,$77,0,$66,0,$66,$83
	db	$22,$80

	db	$6e,$8c,$4c,$6e,$4c,$6e,0,$4c
	db	0,$4c,$83,$44,$80

	db	$d,$8c,$9,$d,$9,$d,0,$19
	db	0,$19,$83,$8,$80

;
	db	$3b,$84,$33,$3e,$83,$6e,$3e,$83
	db	$33,$3b,$33,$3b,0,$33,0,$33
	db	$83,$11,$80

	db	$77,$84,$66,$46,$47,$5d,$47,$46
	db	$83,$66,$77,$66,$77,0,$66,$0
	db	$66,$83,$22,$80

	db	$6e,$84,$4c,$4f,$7b,$3b,$7b,$4f
	db	$83,$4c,$6e,$4c,$6e,0,$4c,$0
	db	$4c,$83,$44,$80

	db	$5d,$86,$19,$1f,$85,$19,$5d,$19
	db	$5d,0,$19,0,$19,$83,$8,$80

;
	db	$90,$31,0,$33,0,$33,$83,$11
	db	$80

	db	$77,$84,$66,$46,$5c,$1c,$5c,$46
	db	$83,$66,$77,$66,$77,0,$66,$0
	db	$66,$83,$22,$80

	db	$6e,$84,$4c,$4f,$7b,$78,$7b,$4f
	db	$83,$4c,$6e,$4c,$6e,0,$4c,$0
	db	$4c,$83,$44,$80

	db	$5d,$8c,$19,$5d,$19,$5d,0,$19
	db	0,$19,$83,$8,$80

;
	db	$3b,$8f,$11,0,$33,0,$33,$83
	db	$11,$80

	db	$77,$8f,$22,0,$66,0,$66,$83
	db	$22,$80

	db	$6e,$8f,$44,0,$4c,0,$4c,$83
	db	$44,$80

	db	$5d,$8f,$8,0,$19,0,$19,$83
	db	$8,$80

blank	db	1

	db	$88,00,$80

	db	$88,00,$80

	db	$88,00,$80

	db	$88,00,$80

tube1	db	1

	db	$88,$2,$80

	db	$88,$44,$80

	db	$88,$8,$80

	db	$88,$10,$80

tube2	db	1

	db	$2,0,$82,$22,$84,0,$80

	db	$44,0,$82,$44,$84,0,$80

	db	$8,0,$82,$8,$84,0,$80

	db	$10,0,$82,$11,$84,0,$80

tube3	db	1

	db	$22,0,$82,$22,$84,0,$80

	db	$44,0,$82,$44,$84,0,$80

	db	$8,0,$82,$8,$84,0,$80

	db	$11,0,$82,$11,$84,0,$80

ruum1	db	1

	db	$22,0,$83,$20,0,$82,$22,$80

	db	$44,0,$83,$44,0,$82,$44,$80

	db	$8,0,$83,$8,0,$82,$8,$80

	db	$11,0,$83,$1,0,$82,$11,$80

ruum2	db	1

	db	$22,$85,0,$82,$22,$80

	db	$44,$85,0,$82,$44,$80

	db	$8,$85,0,$82,08,$80

	db	$11,$85,00,$82,$11,$80

ruum3	db	1

	db	$88,$22,$80

	db	$88,$44,$80

	db	$88,08,$80

	db	$88,$11,$80

done	db	3

	db	$88,0,$80

	db	$88,0,$80

	db	0,$22,$83,$2,$22,$82,0,$80

	db	$82,0,$83,$4,$83,0,$80

;
	db	$82,0,$83,$8,$83,0,$80

	db	0,$1,$83,$10,$1,$82,0,$80

	db	0,$85,$20,$82,0,$80

	db	$83,0,$4,$40,$83,0,$80

;
	db	0,$85,$8,$82,0,$80

	db	0,$85,$10,$82,0,$80

	db	0,$2,0,$2,0,$2,$82,$0
	db	$80

	db	$88,0,$80

found	db	3

	db	$88,0,$80

	db	0,$76,$16,$76,$82,$16,$82,$0
	db	$80

	db	0,$2,$40,$42,$40,$83,0,$80

	db	0,$58,$83,$5,$58,$82,0,$80

;
	db	$82,0,$83,$b,$83,0,$80

	db	0,$84,$16,$60,$82,0,$80

	db	0,$84,$2c,$2,$82,0,$80

	db	0,$85,$58,$82,0,$80

;
	db	$83,0,$b,$30,$83,0,$80

	db	0,$83,$16,$17,$16,$82,0,$80

	db	0,$6c,$83,$2c,$6c,$82,0,$80

	db	0,$5,$83,$58,$5,$82,0,$80

pinel	db	2

	db	$83,0,$30,$88,$10,0,$30,$0
	db	$30,0,$30,$83,$10,$83,0,$80

	db	$83,0,$66,$88,$22,0,$66,$0
	db	$66,0,$66,$83,$22,$83,0,$80

	db	$83,0,$4c,$83,$44,$4,0,$83
	db	$44,0,$4c,0,$4c,0,$4c,$83
	db	$44,$83,0,$80

	db	$83,0,$19,$83,$8,$82,0,$83
	db	$8,0,$19,0,$19,0,$19,$83
	db	$8,$83,0,$80

;
	db	$83,0,$33,$83,$11,$82,0,$83
	db	$11,0,$33,0,$33,0,$33,$83
	db	$11,$83,0,$80

	db	$83,0,$66,$83,$22,$20,$84,$22
	db	0,$66,0,$66,0,$66,$83,$22
	db	$83,0,$80

	db	$83,0,$4c,$88,$44,0,$4c,$0
	db	$4c,0,$4c,$83,$44,$83,0,$80

	db	$83,0,$1,$89,0,$1,0,$1
	db	0,$1,$86,0,$80

;
pinem	db	1

	db	$83,0,$33,$82,$11,$8c,0,$33
	db	$82,$11,$83,0,$80

	db	$83,0,$66,$82,$22,$8c,0,$66
	db	$82,$22,$83,0,$80

	db	$83,0,$4c,$82,$44,$8c,0,$4c
	db	$82,$44,$83,0,$80

	db	$83,0,$19,$82,$8,$8c,0,$19
	db	$82,$8,$83,0,$80

comball db	1

	db	$a0,$10,$80

	db	$a0,0,$80

	db	$a0,$40,$80

	db	$a0,0,$80

foundid db	3

	db	$88,0,$80

	db	0,$76,$16,$76,$82,$16,$82,$0
	db	$80

	db	0,$2,$40,$42,$40,$83,0,$80

	db	0,$58,$83,$5,$58,$82,0,$80

;
	db	$82,0,$83,$b,$83,0,$80

	db	0,$84,$16,$60,$82,0,$80

	db	0,$84,$2c,$2,$82,0,$80

	db	0,$85,$58,$82,0,$80

;
	db	$83,0,$b,$30,$83,0,$80

	db	0,$83,$16,$17,$16,$82,0,$80

	db	0,$6c,$83,$2c,$6c,$82,0,$80

	db	0,$5,$83,$58,$5,$82,0,$80

;
doneid	db	3

	db	$88,0,$80

	db	$88,0,$80

	db	0,$22,$83,$2,$22,$82,0,$80

	db	$82,0,$83,$4,$83,0,$80

;
	db	$82,0,$83,$8,$83,0,$80

	db	0,$1,$83,$10,$1,$82,0,$80

	db	0,$85,$20,$82,0,$80

	db	$83,0,$4,$40,$83,0,$80

;
	db	0,$85,$8,$82,0,$80

	db	0,$85,$10,$82,0,$80

	db	0,$2,0,$2,0,$2,$82,$0
	db	$80

	db	$88,0,$80

tap1	db	1

	db	$10,$82,$11,$31,$30,0,$1,$82
	db	$b,$1,0,$30,$31,$82,$11,$10
	db	$80

	db	$83,$22,$82,$1,0,$22,$76,$66
	db	$22,0,$82,$1,$83,$22,$80

	db	$4,$82,$44,$6c,$2c,0,$84,$40
	db	0,$2c,$6c,$82,$44,$4,$80

	db	$82,0,$85,$8,$82,$d,$85,$8
	db	$82,0,$80

tap2	db	1

	db	$10,$83,$11,$1,$b,$82,0,$1
	db	$82,$b,$82,$1,$82,$11,$10,$80

	db	$83,$22,$82,$60,0,$22,$76,$66
	db	$22,0,$82,$16,$83,$22,$80

	db	$4,$82,$44,$82,$42,$83,$40,$83
	db	0,$82,$40,$82,$44,$4,$80

	db	$82,0,$83,$8,$82,$d,$84,$8
	db	$d,$82,$8,$82,0,$80

tap3	db	1

	db	$10,$83,$11,$82,$b,$84,0,$82
	db	$b,$83,$11,$10,$80

	db	$83,$22,$76,$82,0,$22,$76,$66
	db	$22,$82,0,$76,$83,$22,$80

	db	$4,$82,$44,$46,$82,$40,$84,$0
	db	$82,$40,$46,$82,$44,$4,$80

	db	$82,0,$82,$8,$82,$d,$84,$8
	db	$82,$d,$82,$8,$82,0,$80

tap4	db	1

	db	$10,$83,$11,0,$82,$b,$84,$0
	db	$b,$1,$82,$11,$10,$80

	db	$83,$22,$36,$16,0,$22,$76,$66
	db	$22,0,$60,$62,$83,$22,$80

	db	$4,$82,$44,$82,$40,$84,0,$82
	db	$40,$2,$46,$82,$44,$4,$80

	db	$82,0,$82,$8,$d,$84,$8,$82
	db	$d,$83,$8,$82,0,$80

wave1	db	1

	db	$83,0,$7f,$84,0,$80

	db	$83,0,$7f,$84,0,$80

	db	$83,0,$7f,$84,0,$80

	db	$83,0,$7f,$84,0,$80

;
wave2	db	1

	db	0,$c,$30,$33,0,$82,$40,$0
	db	$80

	db	$84,0,$60,$61,$1f,0,$80

	db	$30,$4c,$43,$3,$84,0,$80

	db	0,$82,$1,$7e,$60,$83,0,$80

;
wave3	db	1

	db	$83,0,$3,$82,$30,0,$40,$80

	db	$85,0,$18,$6,$67,$80

	db	$87,0,$70,$80

	db	0,$18,0,$82,$60,$82,$6,$1
	db	$80

;
wave4	db	1

	db	0,$c,$3c,$33,$40,$83,0,$80

	db	0,$78,$60,$6,$7,$83,0,$80

	db	$7c,$4f,$3,$85,0,$80

	db	$82,$1,$6,$18,$78,$60,$82,$0
	db	$80

;
wave5	db	1

	db	$82,0,$c,$33,$30,$40,$82,$0
	db	$80

	db	$85,0,$7,$78,$18,$80

	db	$83,0,$f,$33,$70,$82,0,$80

	db	0,$60,$82,$18,$6,$7,$82,$0
	db	$80

;
wave6	db	1

	db	$82,0,$40,$73,$30,$82,$c,$0
	db	$80

	db	$82,$6,$82,$1,0,$60,$78,$18
	db	$80

	db	0,$30,$82,$3c,$33,$83,$70,$80

	db	$82,0,$18,$6,$66,$82,$61,$1
	db	$80

;
wave7	db	1

	db	$83,0,$3,$82,$c,$30,$70,$80

	db	0,$78,$18,$82,0,$82,$6,$1
	db	$80

	db	0,$40,$43,$3,$82,$33,$f,$0
	db	$80

	db	0,$82,$7,$82,$66,$82,$1e,$0
	db	$80


	END

