******************************************************************************/
**									     */
**									     */
**									     */

move	%MACRO	  dest,srce
	lda	srce
	sta	dest
	%ENDM

dmove	%MACRO	  dest,srce
	move	dest,srce
	move	dest+1,srce+1
	%ENDM

dmovi	%MACRO	dest,imm
	move	dest,#low(imm)
	move	dest+1,#high(imm)
	%ENDM



long	 %MACRO   routine,addr
	 jsr	  routine
	 dw	  addr
	 %ENDM




;long	 %MACRO    routine, addr
;	 pha
;	 lda	 #low(addr)
;	 sta	 routine+4
;	 lda	 #high(addr)
;	 sta	 routine+5
;	 pla
;	 jsr	 routine
;	 %ENDM

setequ	%MACRO	addr
..equat teq	addr
	%ENDM

single	%MACRO	  label
label	ds	1
	%ENDM

double	%MACRO	  label
label	ds	2
	%ENDM

add	%MACRO	  dest, imm
	lda	dest
	clc
	adc	#low(imm)
	sta	dest
	%ENDM

dadd	%MACRO	  dest, imm
	add	dest,imm
	lda	dest+1
	adc	#high(imm)
	sta	dest+1
	%ENDM

dinc	%MACRO	addr
	%GENSYM skip
	inc	addr
	bne	skip
	inc	addr+1
skip
	%ENDM

sub	%MACRO	  dest, imm
	lda	dest
	sec
	sbc	#low(imm)
	sta	dest
	%ENDM

dsub	%MACRO	  dest, imm
	sub	dest,imm
	lda	dest+1
	sbc	#high(imm)
	sta	dest+1
	%ENDM

lbeq	%MACRO	addr
	bne	$+5
	jmp	addr
	%ENDM

lbne	%MACRO	addr
	beq	$+5
	jmp	addr
	%ENDM

lbcc	%MACRO	addr
	bcs	$+5
	jmp	addr
	%ENDM

lbcs	%MACRO	addr
	bcc	$+5
	jmp	addr
	%ENDM

lbmi	%MACRO	addr
	bpl	$+5
	jmp	addr
	%ENDM

lbpl	%MACRO	addr
	bmi	$+5
	jmp	addr
	%ENDM


