$chip(6502)
$paginate
$indent=8
$ALLPUBLIC
$NOPROCESS

**********************************************
*					     *
*					     *
*					     *
**********************************************

	%include mainseg.inc

MAXWALLS   equ	  16
MAXFLOORS  equ	  32
MAXSFLOORS equ	  2
MAXOBJECTS equ	  15
MAXVLIFTS  equ	  4
MAXHLIFTS  equ	  4
MAXLIFTS   equ	  8		     ;(MAXHLIFTS+MAXVLIFTS)
MAXNICHES  equ	  10
MAXPOS	   equ	  5
MAXROOMS   equ	  1
MAXFURNITS equ	  120
MAXLAMPS   equ	  10
MAXAIRS    equ	  20
MAXairs2   equ	  30
MAXBOMBS   equ	  16
ROBOT_NO   equ	  8
MOVING	   equ	  9+MAXPOS

	SEG	roomdata

room_p	  ds	  3
;n_bomb   ds	  1
;bombs	  ds	  MAXBOMBS*4
n_walls   ds	  1
walls	  ds	  MAXWALLS*3
n_floors  ds	  1
floors	  ds	  MAXFLOORS*3
n_sfloors ds	  1
sfloors   ds	  MAXSFLOORS*4
n_objects ds	  1
objects   ds	  MAXOBJECTS*5
n_lifts   ds	  1
lifts	  ds	  MAXLIFTS*(13+MAXPOS)
n_niches  ds	  1
niches	  ds	  MAXNICHES*5
n_robots  ds	  1
robots	  ds	  ROBOT_NO*3

rooms	equ	room_p+455
x_pos	equ	0
y_pos	equ	1
length	equ	2

	ds	8*455
;	ds	16
furnsiz ds	128

	ds	  $48

;two bytes per room.  Top two bits in each byte indicate the presence of
;left and right walkways, for bottom and top of room in successive bytes
;0x10 in top byte set implies dark, 0x20 impliies visited.
;last nybble of second byte is room displacement for randomization
protoww db	$80,$01,$80,$42,$40,$83,$c0,$04,$80,$85,$80,$46,$c0,$07,$c0,$08
	db	$40,$81,$80,$02,$00,$c3,$00,$c4,$c0,$05,$c0,$06,$00,$c7,$80,$48
	db	$c0,$01,$80,$02,$00,$c3,$c0,$04,$c0,$05,$c0,$06,$c0,$07,$40,$88
	db	$00,$c1,$c0,$02,$00,$03,$00,$c4,$80,$05,$00,$c6,$80,$07,$c0,$08
	db	$00,$c1,$00,$c2,$00,$c3,$00,$c4,$c0,$05,$40,$86,$40,$87,$c0,$08
	db	$00,$c1,$c0,$02,$00,$03,$40,$84,$00,$45,$00,$c6,$00,$c7,$40,$88
	db	$40,$81,$c0,$c2,$40,$83,$80,$44,$c0,$05,$80,$46,$c0,$07,$40,$88
	db	$40,$81,$c0,$02,$00,$c3,$40,$84,$80,$c5,$80,$46,$00,$c7,$00,$c8

walkway ds	128

pins	ds	30
tbomb	ds	1
mine	ds	1
lightblb	ds	1
rstlft	ds	1
mvflr	ds	1
unplug	ds	1
	ds	1	;space holder
sounds	ds	1
goodterm	ds	1
twrmusic	ds	8
	end
