$CHIP(6502)
$ERRONLY

;
; Warning !!!!!! :
; This is a STAND ALONE RWTS. Code after the end of the RWTS routines
; has been removed, as it was un-necessary to the RWTS. THE CODE
; REMOVED WAS A NECESSARY AND INTEGRAL PART OF DOS 3.3, AND THIS RWTS
; WILL CRASH DOS 3.3 IF THEY (this RWTS & DOS 3.3) ARE USED TOGETHER.
;
;
; NOTE WELL : Assemble this code starting on a page boundry. There is
;	      timing critical code in here that MUST reside on/in the
;	      middle of the page areas where originally designed.
;	      The consequences of not doing this will be a usless RWTS.
;
;

	 public   rwts



	 defseg   rwts_zero_page,class=data,start=$0026
	 seg	  rwts_zero_page

	 ds	  $002b


WTEMP	 EQU $26
TO	 EQU $26
IDX	 EQU $26
COUNT	 EQU $26
LAST	 EQU $26
TRKCNT	 EQU $26
SLOTZ	 EQU $27
CSUM	 EQU $27
PRIOR	 EQU $27
TRKN	 EQU $2A
SLOTEMP  EQU $2B
SECFND	 EQU $2D
TRKFND	 EQU $2E
VOLFND	 EQU $2F
DRIVNO	 EQU $35
PTRSDEST EQU $36
DEVCTBL  EQU $3C
BUFADR	 EQU $3E
VOLUME	 EQU $41
TRACK	 EQU $44
SYNCNT	 EQU $45
MONTIMEL EQU $46
MONTIMEH EQU $47
IOBPL	 EQU $48
IOBPH	 EQU $49



DRV0TRK  EQU $478
CURTRK	 EQU $478
SEEKCNT  EQU $4F8
DRV1TRK  EQU $4F8
RETRYCNT EQU $578
SLOT	 EQU $5F8
SLOTABS  EQU $678
RECALCNT EQU $6F8


	 defseg   rwts_code,class=code,start=$d800
	 seg	  rwts_code


rwts_routines	  proc



PHASEOFF EQU $C080
LC08F	 EQU $C08F
LC08E	 EQU $C08E
LC08D	 EQU $C08D
LC08C	 EQU $C08C
LC08B	 EQU $C08B
LC08A	 EQU $C08A
LC089	 EQU $C089
LC088	 EQU $C088
;
;
;
; PRENIBBLIZE ROUTINE
;
; CONVERTS 256 BYTES POINTED AT BY
; BUFADR TO 342 6-BIT NIBBLES
; OF THE FORM 00XXXXXX
;
PRENIB16 LDX #0
	 LDY #2
;
; Get next user byte
;
PRENIB1  DEY
	 LDA (BUFADR),Y
;
; Shift H.O. two bytes into
; NBUF2.
;
	 LSR A
	 ROL NBUF2,X
	 LSR A
	 ROL NBUF2,X
;
; Put L.O. six bits (shifted left)
; into NBUF1.
;
	 STA NBUF1,Y
	 INX
	 CPX #$56
	 BCC PRENIB1
;
;
; Done yet?
;
	 LDX #0
	 TYA
	 BNE PRENIB1
;
;
; strip H.O. two bits of NBUF2.
;
	 LDX #$55
PRENIB2  LDA NBUF2,X
	 AND #$3F
	 STA NBUF2,X
	 DEX
	 BPL PRENIB2
	 RTS
;
;
; Write subroutine
;
; Writes prenibbilized data in
; NBUF1 and NBUF2 to disk.
;
; note: this stuff is all time
; critical.
;
; watch page boundries, don't
; remove NOP's, etc.
;
;
;
WRITE16  SEC		     ;anticipate write protect
	 STX SLOTZ
	 STX SLOTABS
	 LDA LC08D,X
	 LDA LC08E,X	     ;sense write protect
	 BMI WEXIT
	 LDA NBUF2
	 STA WTEMP
	 LDA #$FF	     ;sync byte
	 STA LC08F,X	     ;write 1st nibble
	 ORA LC08C,X
	 PHA
	 PLA
	 NOP
	 LDY #4
;
;
; Write the sync byte
;
WSYNC	 PHA
	 PLA
	 JSR WNIBL7
	 DEY
	 BNE WSYNC
	 LDA #$D5	     ;first data mark
	 JSR WNIBL9
	 LDA #$AA	     ;2nd data mark
	 JSR WNIBL9
	 LDA #$AD	     ;3rd data mark
	 JSR WNIBL9
	 TYA		     ;clear checksum
	 LDY #$56	     ;NBUF2 index
	 BNE ..around99      ;always taken
;
;
;
WDATA0	 LDA NBUF2,Y	     ;get prior 6-bit nibble

..around99
	 EOR NBUF2-1,Y	     ;and XOR with current nibble
	 TAX
	 LDA NIBL,X
	 LDX SLOTZ
	 STA LC08D,X	     ;write nibble
	 LDA LC08C,X
	 DEY		     ;next nibble
	 BNE WDATA0
;
;
;
; now handle NBUF1.
;
;
; get prior nibble
;
	 LDA WTEMP
	 NOP
;
; loop to write out data in NBUF1
;
WDATA2	 EOR NBUF1,Y
	 TAX
	 LDA NIBL,X
	 LDX SLOTABS
	 STA LC08D,X	     ;write nibble
	 LDA LC08C,X
	 LDA NBUF1,Y
	 INY
	 BNE WDATA2
	 TAX
	 LDA NIBL,X
;
; write checksum
;
	 LDX SLOTZ
	 JSR WNIBL
;
; write epilog to data
;
	 LDA #$DE	     ;DM4, bit slip mark
	 JSR WNIBL9
	 LDA #$AA	     ;DM5, bsm
	 JSR WNIBL9
	 LDA #$EB	     ;DM6, bsm
	 JSR WNIBL9
;
; All done, close up the shop!
;
	 LDA #$FF
	 JSR WNIBL9
;
; turn off the write mode
;
	 LDA LC08E,X
;
; and back to the read mode
;
WEXIT	 LDA LC08C,X
	 RTS
;
;
;
; WNIBL9 9 cycles, then write
;
WNIBL9	 CLC
;
; WNIBL7 7 cycles, then write
;
WNIBL7	 PHA
	 PLA
;
;
; write nibble to disk
;
WNIBL	 STA LC08D,X
	 ORA LC08C,X
	 RTS
;
;
; Post nibblize routine.
;
; converts 342 nibbles of the form
;
;     00xxxxxx
;
; to eight bit bytes.
;
;  The nibbles are stored in NBUF1
;  and NBUF2, the 8-bit bytes will
;  be stored at (BUFADR).
;
;
POSTNB16 LDY #0
POST1	 LDX #$56
POST2	 DEX
	 BMI POST1
;
; get byte and shift in L.O. two
; bits from NBUF2
;
	 LDA NBUF1,Y
	 LSR NBUF2,X
	 ROL A
	 LSR NBUF2,X
	 ROL A
;
; store in user buffer
;
	 STA (BUFADR),Y
	 INY
	 CPY TO
	 BNE POST2
	 RTS
;
;
; READ routine, reads a sector
; from the disk and stores the
; data in NBUF1 and NBUF2.
;
READ16	 LDY #$20
;
; get sync bytes
;
RSYNC	 DEY
	 BEQ RDERR
;
; wait until a byte is recieved
; from the disk drive.
;
..loopback1
	 LDA LC08C,X
	 BPL ..loopback1
;
; byte recieved, check for DM1
;
RSYNC1	 EOR #$D5
	 BNE RSYNC
	 NOP
;
; get next byte and check for
; DM2
;
..loopback2
	 LDA LC08C,X
	 BPL ..loopback2
	 CMP #$AA
	 BNE RSYNC1
	 LDY #$56
;
; Check for DM3
;
..loopback3
	 LDA LC08C,X
	 BPL ..loopback3
	 CMP #$AD
	 BNE RSYNC1
;
; Read the data from the sector
;
	 LDA #0 	     ;init checksum
;
; Read stuff into NBUF2
;
RDATA1	 DEY
	 STY IDX
..loopback4
	 LDY LC08C,X
	 BPL ..loopback4
	 EOR MSWAIT,Y
	 LDY IDX
	 STA NBUF2,Y
	 BNE RDATA1
;
; Read stuff into NBUF1
;
RDATA2	 STY IDX
..loopback5
	 LDY LC08C,X
	 BPL ..loopback5
	 EOR MSWAIT,Y
	 LDY IDX
	 STA NBUF1,Y
	 INY
	 BNE RDATA2
;
; get and check the checksum byte
;
..loopback6
	 LDY LC08C,X
	 BPL ..loopback6
	 CMP MSWAIT,Y
	 BNE RDERR
;
; check for DM4
;
..loopback7
	 LDA LC08C,X
	 BPL ..loopback7
	 CMP #$DE
	 BNE RDERR
	 NOP
;
; check for DM5
;
..loopback8
	 LDA LC08C,X
	 BPL ..loopback8
	 CMP #$AA
	 BEQ RDADRX
RDERR	 SEC
	 RTS
;
;
;  Read address field.
;
; Reads starting address marks
; ($D5, $AA, $96), address info
; (volume/track/sector/checksum),
; and closing address marks
; ($DE, $AA)
;
RDADR16  LDY #$FC
	 STY COUNT
RDASYN	 INY
	 BNE ..loopback9
	 INC COUNT
	 BEQ RDERR
;
; Read first address mark ($D5)
;
..loopback9
	 LDA LC08C,X
	 BPL ..loopback9
RDASYN1  CMP #$D5
	 BNE RDASYN
	 NOP
;
; Read next address mark
;
..loopbacka
	 LDA LC08C,X
	 BPL ..loopbacka
	 CMP #$AA
	 BNE RDASYN1
	 LDY #3
;
; Read last address mark
;
..loopbackb
	 LDA LC08C,X
	 BPL ..loopbackb
	 CMP #$96
	 BNE RDASYN1
;
; init checksum and read the
; address data field (four bytes)
;
	 LDA #0
RDAFLD	 STA CSUM
;
; Read 'odd' bit nibble
;
..loopbackc
	 LDA LC08C,X
	 BPL ..loopbackc
	 ROL A
	 STA LAST
;
; Read even bit nibble.
;
..loopbackd
	 LDA LC08C,X
	 BPL ..loopbackd
;
; Merge the two.
;
	 AND LAST
;
; store the data byte, update
; checksum, and repeat until
; entire address field is read.
;
	 STA SLOTEMP+1,Y
	 EOR CSUM
	 DEY
	 BPL RDAFLD
;
; Checksum (in acc) must be 0.
;
	 TAY
	 BNE RDERR
;
; Read first epilogue byte ($DE)
;
..loopbacke
	 LDA LC08C,X
	 BPL ..loopbacke
	 CMP #$DE
	 BNE RDERR
	 NOP
;
; Read second epilogue byte ($AA)
;
..loopbackf
	 LDA LC08C,X
	 BPL ..loopbackf
	 CMP #$AA
	 BNE RDERR
RDADRX	 CLC
	 RTS
;
;
; SEEKABS routine, moves the
; disk head over the desired
; track.
;
SEEKABS  STX SLOTEMP
	 STA TRKN
	 CMP DRV0TRK
	 BEQ RTS0
	 LDA #0
	 STA TRKCNT
MOVEHEAD LDA DRV0TRK
	 STA PRIOR
	 SEC
	 SBC TRKN
	 BEQ ISTHERE
	 BCS ..around0
	 EOR #$FF
	 INC DRV0TRK
	 BCC ..around1
..around0
	 ADC #$FE
	 DEC DRV0TRK
..around1
	 CMP TRKCNT
	 BCC ..around2
	 LDA TRKCNT
..around2
	 CMP #$C
	 BCS ..around3
	 TAY
..around3
	 SEC
	 JSR CHKPOS
	 LDA ONTBL,Y
	 JSR MSWAIT
	 LDA PRIOR
	 CLC
	 JSR CHKPOS2
	 LDA OFFTBL,Y
	 JSR MSWAIT
	 INC TRKCNT
	 BNE MOVEHEAD
ISTHERE  JSR MSWAIT
	 CLC
CHKPOS	 LDA DRV0TRK
CHKPOS2  AND #3
	 ROL A
	 ORA SLOTEMP
	 TAX
	 LDA PHASEOFF,X
	 LDX SLOTEMP
RTS0	 RTS

;
; DUMMY BYTES FOR PAGE BOUNDRY ALIGNMENT
;
	 DB  0,0,0
;
;
; Head move delay subroutine
; delays ACC*100 usec
;
;
MSWAIT	 LDX #$11
..loopback10
	 DEX		     ;delay 86 usec
	 BNE ..loopback10
	 INC MONTIMEL
	 BNE ..around3a
	 INC MONTIMEH
..around3a SEC
	 SBC #1
	 BNE MSWAIT
	 RTS
;
;
; PHASEON/PHASEOFF tables
;
ONTBL	 DB  $01,$30
	 DB  $28,$24,$20,$1E,$1D,$1C,$1C,$1C,$1C,$1C
OFFTBL	 DB  $70,$2C,$26,$22,$1F,$1E,$1D,$1C,$1C,$1C,$1C,$1C
;
;
; Write translate tables
;
NIBL	 DB  $96,$97,$9A,$9B,$9D,$9E,$9F,$A6,$A7,$AB,$AC,$AD,$AE,$AF,$B2,$B3
	 DB  $B4,$B5,$B6,$B7,$B9,$BA,$BB,$BC,$BD,$BE,$BF,$CB,$CD,$CE,$CF,$D3
	 DB  $D6,$D7,$D9,$DA,$DB,$DC,$DD,$DE,$DF,$E5,$E6,$E7,$E9,$EA,$EB,$EC
	 DB  $ED,$EE,$EF,$F2,$F3,$F4,$F5,$F6,$F7,$F9,$FA,$FB,$FC,$FD,$FE,$FF
;
; ALIGN REMAINDER OF TABLE
;
	 DS  45
;
;
	 DB  $00,$01,$98,$99,$02,$03,$9C,$04,$05,$06,$A0,$A1,$A2,$A3,$A4,$A5
	 DB  $07,$08,$A8,$A9,$AA,$09,$0A,$0B,$0C,$0D,$B0,$B1,$0E,$0F,$10,$11
	 DB  $12,$13,$B8,$14,$15,$16,$17,$18,$19,$1A,$C0,$C1,$C2,$C3,$C4,$C5
	 DB  $C6,$C7,$C8,$C9,$CA,$1B,$CC,$1C,$1D,$1E,$D0,$D1,$D2,$1F,$D4,$D5
	 DB  $20,$21,$D8,$22,$23,$24,$25,$26,$27,$28,$E0,$E1,$E2,$E3,$E4,$29
	 DB  $2A,$2B,$E8,$2C,$2D,$2E,$2F,$30,$31,$32,$F0,$F1,$33,$34,$35,$36
	 DB  $37,$38,$F8,$39,$3A,$3B,$3C,$3D,$3E,$3F
;
;
;
; nibble buffers, must be in this
; order!
;
NBUF1	 DS  $100
NBUF2	 DS  $56
;
;
;
; Write an address field routine
;
;
WRADR16  SEC		     ;assume W/P error
	 LDA LC08D,X
	 LDA LC08E,X
	 BMI WPERROR
;
; output sync byte
;
	 LDA #$FF
	 STA LC08F,X
	 CMP LC08C,X
	 PHA
	 PLA
FRMSYNC  JSR WAIT12
	 JSR WAIT12
	 STA LC08D,X
	 CMP LC08C,X
	 NOP
	 DEY
	 BNE FRMSYNC
;
; output data marks
;
	 LDA #$D5
	 JSR WBYTE9
	 LDA #$AA
	 JSR WBYTE9
	 LDA #$96
	 JSR WBYTE9
;
; output volume track sector
; and checksum
;
	 LDA VOLUME
	 JSR WBYTE
	 LDA TRACK
	 JSR WBYTE
	 LDA BUFADR+1
	 JSR WBYTE
	 LDA VOLUME
	 EOR TRACK
	 EOR BUFADR+1
	 PHA
	 LSR A
	 ORA BUFADR
	 STA LC08D,X
	 LDA LC08C,X
	 PLA
	 ORA #$AA
	 JSR WBYTE11
;
; output data marks 4,5, and 6
;
	 LDA #$DE
	 JSR WBYTE9
	 LDA #$AA
	 JSR WBYTE9
	 LDA #$EB
	 JSR WBYTE9
	 CLC
WPERROR  LDA LC08E,X
	 LDA LC08C,X
WAIT12	 RTS
;
;
; Write a byte as two four bit
; nibbles to the disk.
;
WBYTE	 PHA
	 LSR A
	 ORA BUFADR
;
; write odd bits
;
	 STA LC08D,X
	 CMP LC08C,X
	 PLA
	 NOP
	 NOP
	 NOP
	 ORA #$AA
WBYTE11  NOP
WBYTE9	 NOP
	 PHA
	 PLA
;
; write even bits
;
	 STA LC08D,X
	 CMP LC08C,X
	 RTS
;
;
; FORCE RWTS TO PAGE BOUNDRY
;
	 DS  33
;
;
;
; RWTS entry point
;
;
RWTS
;
; upon entry, A & Y point at IOB
;
	 STY IOBPL
	 STA IOBPH
;
; set up for one recal and 4 seeks
;
	 LDY #2
	 STY RECALCNT
	 LDY #4
	 STY SEEKCNT
;
; get slot #
;
	 LDY #1
	 LDA (IOBPL),Y
	 TAX
;
;
; see if slot # was changed
;
	 LDY #$F
	 CMP (IOBPL),Y
	 BEQ SAMESLOT
;
; if so, turn off old drive
;
	 TXA
	 PHA
	 LDA (IOBPL),Y
	 TAX
	 PLA
	 PHA
	 STA (IOBPL),Y
	 LDA LC08E,X
;
; delay until data is constant
;
STILLON  LDY #8
	 LDA LC08C,X
NOTSURE  CMP LC08C,X
	 BNE STILLON
	 DEY
	 BNE NOTSURE
	 PLA
	 TAX
;
;
; start the motor up
;
SAMESLOT LDA LC08E,X
	 LDA LC08C,X
	 LDY #8
NOTSURE2 LDA LC08C,X
	 PHA
	 PLA
	 PHA
	 PLA
	 STX SLOT
	 CMP LC08C,X
	 BNE ..around3b
	 DEY
	 BNE NOTSURE2
..around3b
	 PHP
	 LDA LC089,X
;
; move necessary pointers to
; page zero
;
	 LDY #6
PTRMOVE  LDA (IOBPL),Y
	 STA PTRSDEST,Y
	 INY
	 CPY #$A
	 BNE PTRMOVE
;
; get other parameters
;
	 LDY #3
	 LDA (DEVCTBL),Y
	 STA MONTIMEH
	 LDY #2
	 LDA (IOBPL),Y
	 LDY #$10
	 CMP (IOBPL),Y
	 BEQ ..around4
	 STA (IOBPL),Y
	 PLP
	 LDY #0
	 PHP
..around4 ROR A
	 BCC ..around5
	 LDA LC08A,X
	 BCS DRVSEL
..around5 LDA LC08B,X
;
; save which drive is being used
;
DRVSEL	 ROR DRIVNO
	 PLP
	 PHP
	 BNE NOWAIT
	 LDY #7
;
; wait 100 usec for old drive's
; timing capacitor to discharge
;
STEPWAIT JSR MSWAIT
	 DEY
	 BNE STEPWAIT
	 LDX SLOT
NOWAIT	 LDY #4
	 LDA (IOBPL),Y
	 JSR MYSEEK
	 PLP
	 BNE TRYTRK
	 LDY MONTIMEH
	 BPL TRYTRK
;
; wait for motor to come up to
; speed.
;
MOTOROFF LDY #$12
..loopback11
	 DEY
	 BNE ..loopback11
	 INC MONTIMEL
	 BNE MOTOROFF
	 INC MONTIMEH
	 BNE MOTOROFF
;
; disk is now up to speed.
; if not format operation,
; position the head over the
; proper track
;
TRYTRK	 LDY #$C
	 LDA (IOBPL),Y
	 BEQ GALLDONE
	 CMP #4
	 BEQ FORMDSK
	 ROR A
	 PHP		     ;save R/W status
	 BCS TRYTRK2
;
; if a read operation, must
; prenibblize first.
;
	 JSR PRENIB16
;
;
; set up for a maximum of 48
; retries.
;
TRYTRK2  LDY #$30
	 STY RETRYCNT
TRYADR	 LDX SLOT
	 JSR RDADR16
	 BCC RDRIGHT
TRYADR2  DEC RETRYCNT
	 BPL TRYADR
;
; recalibrate disk head
;
RECAL	 LDA CURTRK
	 PHA
	 LDA #$60
	 JSR SETTRK
	 DEC RECALCNT
	 BEQ DRVERROR
	 LDA #4
	 STA SEEKCNT
	 LDA #0
	 JSR MYSEEK
	 PLA
RESEEK	 JSR MYSEEK
	 JMP TRYTRK2
;
;
; We have just read an address
; field, now check for desired
; track, sector, and volume
;
RDRIGHT  LDY TRKFND
	 CPY CURTRK
	 BEQ RTTRK
;
; Save dest track value
;
	 LDA CURTRK
	 PHA
	 TYA
	 JSR SETTRK
	 PLA
	 DEC SEEKCNT
	 BNE RESEEK
	 BEQ RECAL
;
; Bad drive error.
;
DRVERROR PLA
	 LDA #$40
;
;
JMPTO1	 PLP
	 JMP HNDLERR
GALLDONE BEQ ALLDONE
FORMDSK  JMP DSKFORM
;
;
; Drive is on the right track,
; now check for a vol mismatch
;
RTTRK	 LDY #3
	 LDA (IOBPL),Y	     ;get desired volume
	 PHA
;
; Save volume actually found in
; RWTS IOB.
;
	 LDA VOLFND
	 LDY #$E
	 STA (IOBPL),Y
;
; If volume specified was zero,
; no error.
;
	 PLA
	 BEQ CRCTVOL
;
; Otherwise, check for a volume
; mismatch error.
;
	 CMP VOLFND
	 BEQ CRCTVOL
	 LDA #$20
	 BNE JMPTO1
;
; now check for the correct sector
;
CRCTVOL  LDY #5
	 LDA (IOBPL),Y	     ;get the sector #
;
; Convert to a "soft" sector
; number by applying the software
; interleave.
;
	 TAY
	 LDA INTRLEAV,Y
;
; Are we at that sector yet?
;
	 CMP SECFND
	 BNE TRYADR2
;
; If so, see if we are doing a
; read or a write.
;
	 PLP
	 BCC WRIT
;
; Reading, so read in the 256
; bytes of data that follow.
;
	 JSR READ16
	 PHP
	 BCS TRYADR2
	 PLP
	 LDX #0
	 STX TO
;
; Convert the nibbles to bytes.
;
	 JSR POSTNB16
	 LDX SLOT
ALLDONE  CLC
	 DB  $24	     ;BIT L38
HNDLERR  SEC		     ;OPCODE SKIPPED BY BIT L38
	 LDY #$D
	 STA (IOBPL),Y
	 LDA LC088,X
	 RTS
;
; Performing a write, write the
; data (already nibblized) to
; the following data sector.
;
WRIT	 JSR WRITE16
	 BCC ALLDONE
	 LDA #$10
	 BCS HNDLERR
;
;
; MYSEEK is the seek routine,
; it seeks track 'N' in slot
; X/16
;
; If DRIVNO is negative - drive 0
; If DRIVNO is positive - drive 1
;
MYSEEK	 PHA
	 LDY #1
	 LDA (DEVCTBL),Y
	 ROR A
	 PLA
	 BCC SEEK1
	 ASL A
	 JSR SEEK1
	 LSR CURTRK
	 RTS
SEEK1	 STA TRKN
	 JSR XTOY
	 LDA DRV0TRK,Y
	 BIT DRIVNO
	 BMI WASDO
	 LDA DRV1TRK,Y
WASDO	 STA DRV0TRK
	 LDA TRKN
	 BIT DRIVNO
	 BMI ISDRV0
	 STA DRV1TRK,Y
	 BPL GOSEEK
ISDRV0	 STA DRV0TRK,Y
GOSEEK	 JMP SEEKABS
XTOY	 TXA
	 LSR A
	 LSR A
	 LSR A
	 LSR A
	 TAY
	 RTS
;
;
; This routine sets the slot
; dependant track location
;
SETTRK	 PHA
	 LDY #2
	 LDA (IOBPL),Y
	 ROR A
	 ROR DRIVNO
	 JSR XTOY
	 PLA
	 ASL A
	 BIT DRIVNO
	 BMI ONDRV0
	 STA DRV1TRK,Y
	 BPL RTS3
ONDRV0	 STA DRV0TRK,Y
RTS3	 RTS
;
;
; This is the disk formatter
; routine.
;
DSKFORM  LDY #3
	 LDA (IOBPL),Y
	 STA VOLUME
;
; Save timing constant in zero
; page (for time critical section)
;
	 LDA #$AA
	 STA BUFADR
	 LDY #$56
;
; Set up to start a track zero.
;
	 LDA #0
	 STA TRACK
;
;
; zero secondary buffer.
;
..loopback12
	 STA NBUF2-1,Y
	 DEY
	 BNE ..loopback12
;
; zero primary buffer.
;
..loopback13
	 STA NBUF1,Y
	 DEY
	 BNE ..loopback13
;
; Pretend we are at track 40
; (acc=2*maxtracks)
;
	 LDA #$50
	 JSR SETTRK
;
; Start with 40 bytes of self
; sync bytes.
;
	 LDA #$28
	 STA SYNCNT
;
; Got to the track and format it.
;
NXTTRK	 LDA TRACK
	 JSR MYSEEK
	 JSR DISKF2
;
; Init in case of DISK I/O error.
;
	 LDA #8
	 BCS HNDERR
	 LDA #$30
	 STA RETRYCNT
;
; Verify the track just formatted.
;
NOGOOD	 SEC
	 DEC RETRYCNT
	 BEQ HNDERR
;
; Read the address field.
;
	 JSR RDADR16
	 BCS NOGOOD	     ;something wrong?
;
	 LDA SECFND
	 BNE NOGOOD
;
; Read the data and see if it's
; ok.
;
	 JSR READ16
	 BCS NOGOOD
;
; A-OK, move on to the next track.
;
	 INC TRACK
;
; At the last track yet?
;
	 LDA TRACK
	 CMP #$23
	 BCC NXTTRK
;
; Force error flag (carry) off.
;
	 CLC
	 BCC DONEDSK
;
;
; Store error code in IOB.
;
HNDERR	 LDY #$D
	 STA (IOBPL),Y
	 SEC
;
; Turn the disk off.
;
DONEDSK  LDA LC088,X
	 RTS
;
; Format the current track.
;
DISKF2	 LDA #0 	     ;init sector #
	 STA BUFADR+1
	 LDY #$80	     ;begin track with 128 sync bytes
;
	 BNE ..around39
;
;
TRKFRM	 LDY SYNCNT
..around39 JSR WRADR16	     ;write an address field
	 BCS DELAY12
;
; Write a data field.
;
	 JSR WRITE16
	 BCS DELAY12
;
; Increment the sector number
; and see if it is 16 yet.
;
	 INC BUFADR+1
	 LDA BUFADR+1
	 CMP #$10
	 BCC TRKFRM
;
; Reset sector # to 15
;
	 LDY #$F
	 STY BUFADR+1
;
; mark the current track as
; formatted.
;
	 LDA #$30
	 STA RETRYCNT
INITMAP  STA SECMAP,Y
	 DEY
	 BPL INITMAP
	 LDY SYNCNT
DELAY	 JSR DELAY12
	 JSR DELAY12
	 JSR DELAY12
	 PHA
	 PLA
	 NOP
	 DEY
	 BNE DELAY
	 JSR RDADR16
	 BCS DOAGAIN
	 LDA SECFND
	 BEQ ITSGOOD
	 LDA #$10
	 CMP SYNCNT
	 LDA SYNCNT
	 SBC #1
	 STA SYNCNT
	 CMP #5
	 BCS DOAGAIN
	 SEC
	 RTS
NXTSEC	 JSR RDADR16
	 BCS NXTTRY
ITSGOOD  JSR READ16
	 BCC MARKMAP
NXTTRY	 DEC RETRYCNT
	 BNE NXTSEC
DOAGAIN  JSR RDADR16
	 BCS ERRCNT
	 LDA SECFND
	 CMP #$F
	 BNE ERRCNT
	 JSR READ16
	 BCC DISKF2
ERRCNT	 DEC RETRYCNT
	 BNE DOAGAIN
	 SEC
DELAY12  RTS
MARKMAP  LDY SECFND
	 LDA SECMAP,Y
	 BMI NXTTRY
	 LDA #$FF
	 STA SECMAP,Y
	 DEC BUFADR+1
	 BPL NXTSEC
	 LDA TRACK
	 BNE TRKDONE
	 LDA SYNCNT
	 CMP #$10
	 BCC DELAY12
	 DEC SYNCNT
	 DEC SYNCNT
TRKDONE  CLC
	 RTS
;
;
; SECMAP- used to mark initialized
; sectors.
;
SECMAP	 DB  $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
;
;
; Interleave remapping table
;
INTRLEAV DB  $00,$0D,$0B,$09,$07,$05,$03,$01,$0E,$0C,$0A,$08,$06,$04,$02,$0F


rwts_routines	  endproc


	 END

