$chip(6502)
$title(Impossible Mission 2)
$subtitle(Jump through the black hole)
$paginate
$indent=8
************************************************
* Jump through main (from primary to secondary *
************************************************
	%include macro.inc
	%include mainseg.inc
	PUBLIC	prmsec,init,secprm

	SEG	through

prmsec	 proc
	 sta	  ..ta
	 stx	  ..tx
	 sty	  ..ty


	 tsx
	 lda	  $0101,x
	 sta	  ..smc105+1
	 lda	  $0102,x
	 sta	  ..smc105+2

	 ldy	  #$02
..smc105 lda	  $ffff,y
	 sta	  ..smc101,y
	 dey
	 bne	  ..smc105

;
; modify return address
;
	 clc
	 lda	  $0101,x
	 adc	  #$02
	 sta	  $0101,x
	 bcc	  ..hi_byte_same
	 inc	  $0102,x

..hi_byte_same
	 lda	  ..ta
	 ldx	  ..tx
	 ldy	  ..ty

	 sta	  $c009

..smc101 jsr	  $ffff

	 sta	  $c008

	 rts



..ta	 ds	  1
..tx	 ds	  1
..ty	 ds	  1

prmsec	 endproc








secprm	 proc
	 sta	  ..ta
	 stx	  ..tx
	 sty	  ..ty


	 tsx
	 lda	  $0101,x
	 sta	  ..smc105+1
	 lda	  $0102,x
	 sta	  ..smc105+2

	 ldy	  #$02
..smc105 lda	  $ffff,y
	 sta	  ..smc101,y
	 dey
	 bne	  ..smc105

;
; modify return address
;
	 clc
	 lda	  $0101,x
	 adc	  #$02
	 sta	  $0101,x
	 bcc	  ..hi_byte_same
	 inc	  $0102,x

..hi_byte_same
	 lda	  ..ta
	 ldx	  ..tx
	 ldy	  ..ty

	 sta	  $c008

..smc101 jsr	  $ffff

	 sta	  $c009

	 rts



..ta	 ds	  1
..tx	 ds	  1
..ty	 ds	  1

secprm	 endproc


;prmsec  PROC
;	 sta	 $c009		 ;change from primary to secondary
;..jump  jsr	 $ffff		 ;jsr (previously stored address) routine
;	 sta	 $c008		 ;change from secondary to primary
;	 rts			 ;return
;jumpto  equ	 ..jump+1	 ;location to store secondary goto location
;
;prmsec  ENDPROC
;
;secprm  PROC
;
;	 sta	 $c008
;	 jsr	 $ffff
;	 sta	 $c009
;	 rts
;
;secprm  ENDPROC

init	PROC		;general bank and stack initialization
	cld
	ldx	#$ff
	txs
	lda	$c08b
	lda	$c08b
	sta	$c008
	jmp	$d000
init	ENDPROC

	END
