$chip(6502)
$paginate

	 %include macro.inc
	 %include secseg.inc

	 seg	  graph

	 extern   block_io,block_command,track,sector,read
	 extern   rd_main,wr_main,rd_aux,wr_aux,page1,page2
	 extern   set_side2,buf_start,buf_len,set_dhires

	 public   elvin_screens


elvin_screens	  proc
	 jsr	  set_side2
	 jsr	  set_dhires

	 sta	  rd_main
	 sta	  wr_main

	 sta	  page2

;
; read main portion of "elvin" screen (color bars)
;
	 lda	  #read
	 sta	  block_command

	 lda	  #$1b
	 sta	  track
	 lda	  #$07
	 sta	  sector

	 lda	  #$00
	 sta	  buf_start
	 sta	  buf_len
	 lda	  #$20
	 sta	  buf_start+1
	 sta	  buf_len+1

	 jsr	  block_io


;
; read aux portion of "elvin" screen (color bars)
;

	 lda	  #read
	 sta	  block_command

	 lda	  #$19
	 sta	  track
	 lda	  #$07
	 sta	  sector

	 lda	  #$00
	 sta	  buf_start
	 sta	  buf_len
	 lda	  #$60
	 sta	  buf_start+1
	lda	#$20
	 sta	  buf_len+1

	 jsr	  block_io
;copy
	 sta	  wr_aux
	ldx	#$20
	ldy	#0
..mv1	lda	$6000,y
..mv2	sta	$2000,y
	iny
	bne	..mv1
	inc	..mv1+2
	inc	..mv2+2
	dex
	bne	..mv1
	sta	wr_main
;
; flip displayed pages to show the color bars screen
;

	 sta	  page1


;
; read main portion of "elvin" suicide screen
;
	 sta	  rd_main
	 sta	  wr_main

	 lda	  #read
	 sta	  block_command

	 lda	  #$1f
	 sta	  track
	 lda	  #$07
	 sta	  sector

	 lda	  #$00
	 sta	  buf_start
	 sta	  buf_len
	 lda	  #$40
	 sta	  buf_start+1
	 lda	  #$20
	 sta	  buf_len+1

	 jsr	  block_io


;
; read aux portion of "elvin" suicide screen
;

	 lda	  #read
	 sta	  block_command

	 lda	  #$1d
	 sta	  track
	 lda	  #$07
	 sta	  sector

	 lda	  #$00
	 sta	  buf_start
	 sta	  buf_len
	 lda	  #$60
	 sta	  buf_start+1
	 lda	  #$20
	 sta	  buf_len+1

	 jsr	  block_io

;copy
	 sta	  wr_aux
	ldx	#$20
	ldy	#0
..mv3	lda	$6000,y
..mv4	sta	$4000,y
	iny
	bne	..mv3
	inc	..mv3+2
	inc	..mv4+2
	dex
	bne	..mv3
	sta	wr_main
;
; flip displayed pages to show the suicide screen
;

	 sta	  page2

	sta	rd_main
	sta	wr_main

	 rts



elvin_screens	  endproc

	 end

